define({"346":{y:0,u:"../process-design/Process_Definitions.htm",l:-1,t:"Process Definitions",i:0.000408239285065855,a:"A process definition is a graphical representation of your business process model. You create process definitions by dragging and dropping a Process Definition resource from the Process palette to the design panel.  Selecting the process definition in the project panel changes the palette panel and ..."},"347":{y:0,u:"../process-design/Activities.htm",l:-1,t:"Activities",i:0.000466073873412639,a:"Activities are the individual units of work in a process definition. Activities are generally operations that interface to external systems, but activities can also perform internal processing. Activities are available on the various palettes in TIBCO Designer. Each palette has a set of activities ..."},"348":{y:0,u:"../process-design/Transitions.htm",l:-1,t:"Transitions",i:0.000466073873412639,a:"Transitions describe the flow of processing in a process definition. A transition is represented by an arrow between two activities. The arrows are unidirectional, and you cannot draw a transition to a previously executed activity. Control flow in a process definition must proceed sequentially ..."},"349":{y:0,u:"../process-design/Groups.htm",l:-1,t:"Groups",i:0.000466073873412639,a:"Groups are used to specify related sets of activities. The main uses of groups are the following: To create a set of activities that have a common error transition. Basically, this is similar to a try...catch block in Java. This allows you to have a set of activities with only one error-handling ..."},"350":{y:0,u:"../process-design/Shared_Configuration_Resources.htm",l:-1,t:"Shared Configuration Resources",i:0.000466073873412639,a:"Shared configuration resources are specifications that are shared among activities. These are resources, such as database connections, WSDL files, schema definitions, and connections to other servers. Shared configuration resources are created outside of process definitions, but they are used when ..."},"351":{y:0,u:"../process-design/Subprocesses_.htm",l:-1,t:"Subprocesses ",i:0.000943774086479306,a:"Business processes are often very complex and it is difficult to diagram the complete process in one process definition. You can create several smaller process definitions instead of one monolithic process definition. You can then call each process definition from another process definition, when ..."},"352":{y:0,u:"../process-design/Developing_Process_Definitions.htm",l:-1,t:"Developing Process Definitions",i:0.000883714580396678,a:" The following figure describes the general procedure for developing process definitions.  Developing process definitions The following is a more detailed description of how to develop process definitions:   Create one or more process definitions by dragging Process Definition resources from the ..."},"353":{y:0,u:"../process-design/Activities_1.htm",l:-1,t:"Activities",i:0.000954640764308371,a:"Activities Activities perform the work in a process definition. This section describes activities and how to use them in a process definition. "},"354":{y:0,u:"../process-design/Activity_Overview.htm",l:-1,t:"Activity Overview",i:0.000408239285065855,a:"Activities are the individual units of work in a process definition. Activities are generally operations that interface to external systems, but activities can also perform internal processing. Activities are available on the various palettes in TIBCO Designer. Each palette has a set of activities ..."},"355":{y:0,u:"../process-design/Activity_Icons.htm",l:-1,t:"Activity Icons",i:0.000408239285065855,a:"Each activity is represented by an icon in the palette and design panels. These icons represent the function of the activity. There are some common elements of activity icons that represent the type of activity and the direction of data between the activity and the process.   The following table ..."},"356":{y:0,u:"../process-design/Configuration.htm",l:-1,t:"Configuration",i:0.000451615226325943,a:"The configuration tab contains the general specifications for the activity. For example, an FTP activity would contain specifications for the FTP session, such as whether the type of data being sent is text or binary or whether the FTP server resides outside of a firewall. Required fields on the ..."},"357":{y:0,u:"../process-design/Advanced.htm",l:-1,t:"Advanced",i:0.000451615226325943,a:"Advanced The Advanced tab is available on some activities for specifying additional configuration options.  For more information about the Advanced tab of the activities in that palette, see the section for the palette you are interested in TIBCO ActiveMatrix BusinessWorks Palette Reference. "},"358":{y:0,u:"../process-design/Event.htm",l:-1,t:"Event",i:0.000798622756406651,a:"The Event tab is available on activities that expect an incoming event. These are activities that wait for an incoming event in a process. These activities cause the process instance to suspend until the incoming event is received. An Event tab has the following fields: The following illustrates the ..."},"359":{y:0,u:"../process-design/Editor.htm",l:-1,t:"Editor",i:0.021363421458388,a:"The Editor tab is used to specify a data schema for input or output of an activity. This tab is useful when the data does not have a well-known structure. The data schema may also be for a more specialized use, such as for defining the output headers of an incoming HTTP request. The name of the ..."},"360":{y:0,u:"../process-design/Input.htm",l:-1,t:"Input",i:0.000893256369949995,a:"The Input tab allows you to map and transform output data from the previous activities in the process (including the event that starts the process) to input data for the activity. The Process Data area contains the output from all of the activities that appear prior to the activity in the process ..."},"361":{y:0,u:"../process-design/Mapping_and_Transforming_Activity_Input_Data.htm",l:-1,t:"Mapping and Transforming Activity Input Data",i:0.000408239285065855,a:"You can create mappings between the available output from previous activities and the current activity’s input. You can also specify constants (strings enclosed in quotes or numbers) for any input values, or you can specify conditions on the mappings.  In general, to create a mapping, you click on ..."},"362":{y:0,u:"../process-design/Output.htm",l:-1,t:"Output",i:0.000451615226325943,a:"Output The output tab displays the activity output schema. This name appears in subsequent activities input tabs. The activity output data is displayed for informational purposes only and cannot be modified or altered.  The following illustrates the output tab. "},"363":{y:0,u:"../process-design/Process_Starters.htm",l:-1,t:"Process Starters",i:0.000581743050106209,a:"Some activities are used to start a process when an event occurs. For example, in the File palette, there is an activity named File Poller. This activity detects changes in a specified file and starts a process when the change occurs. This kind of activity is known as a process starter. When a ..."},"364":{y:0,u:"../process-design/Misc_Tab.htm",l:-1,t:"Misc Tab",i:0.000408239285065855,a:"Misc Tab All process starters have a Misc tab that allows you to configure features common to all process starters. The Misc tab contains the following fields:"},"365":{y:0,u:"../process-design/Start_Activity_.htm",l:-1,t:"Start Activity ",i:0.00106602963652064,a:"The Start activity is the first activity in a process definition (process starters replace the Start activity when they are used in a process definition).  A process can be called from another process, and the Start activity is used to define the input expected by the process. The Start activity has ..."},"366":{y:0,u:"../process-design/Configuration_.htm",l:-1,t:"Configuration ",i:0.00063477394144271,a:"Configuration  The configuration tab has the following fields."},"367":{y:0,u:"../process-design/Output_Editor.htm",l:-1,t:"Output Editor",i:0.00063477394144271,a:"The Output Editor tab defines the data that the process is expecting as input. Any process that calls this process definition must supply the data specified on the Output Editor tab.  You can define your own datatype on this tab, and you can reference XML schema or ActiveEnterprise classes stored in ..."},"368":{y:0,u:"../process-design/Output_.htm",l:-1,t:"Output ",i:0.00063477394144271,a:"Output  The output for the activity is defined by the specified data elements on the Output Editor tab."},"369":{y:0,u:"../process-design/End_Activity_.htm",l:-1,t:"End Activity ",i:0.00147742035687559,a:"The End activity is the last activity in a process definition. When a process definition is called from another process, you may wish to have the called process definition output data to the calling process. You can map data from the activities in the process to an output schema specified on the End ..."},"370":{y:0,u:"../process-design/Configuration__1.htm",l:-1,t:"Configuration ",i:0.000659404841755666,a:"Configuration  The configuration tab has the following fields."},"371":{y:0,u:"../process-design/Input_Editor.htm",l:-1,t:"Input Editor",i:0.000659404841755666,a:"The Input Editor tab defines the data that the process will output. Any process that calls this process definition will receive this data when the process call completes.  You can define your own datatype on this tab, and you can reference XML schema or ActiveEnterprise classes stored in the ..."},"372":{y:0,u:"../process-design/Input_.htm",l:-1,t:"Input ",i:0.000659404841755666,a:"Input  The input for the activity is defined by the specified data elements on the Input Editor tab."},"373":{y:0,u:"../process-design/Error_Schemas_.htm",l:-1,t:"Error Schemas ",i:0.000659404841755666,a:" The Error Schemas tab defines schemas to contain data for errors thrown by the process definition. You can define multiple schemas, each for use in specific error cases.  You can define your own datatype on this tab, and you can reference XML schema or ActiveEnterprise classes stored in the ..."},"374":{y:0,u:"../process-design/Transitions_and_Conditions.htm",l:-1,t:"Transitions and Conditions",i:0.000954640764308371,a:"Transitions and Conditions Transitions and conditions control the flow of activities in a process diagram. This section explains how to create transitions and specify conditions on those transitions. "},"375":{y:0,u:"../process-design/Transitions_1.htm",l:-1,t:"Transitions",i:0.000408239285065855,a:"Transitions describe the flow of processing. A transition is represented by an arrow between two activities or groups of activities in a process definition. The arrows are unidirectional, and you cannot draw a transition to a previously executed activity. Control flow in a process definition must ..."},"376":{y:0,u:"../process-design/Creating_a_Transition.htm",l:-1,t:"Creating a Transition",i:0.000408239285065855,a:"To create a transition, follow this procedure:   First create or open a process definition that contains at least two activities.  Click on the Create Transition icon   on the TIBCO Designer toolbar.  Position the cursor over the first activity.  Click and hold the mouse button.  Drag the mouse ..."},"377":{y:0,u:"../process-design/Conditions.htm",l:-1,t:"Conditions",i:0.000928750580186917,a:"Conditions are specified on transitions to determine whether to take the transition to the next activity or not. When a transition is created, you are presented with the transition dialog. The following figure illustrates the transition dialog.  The transition dialog The transition dialog allows you ..."},"378":{y:0,u:"../process-design/Grouping_Activities.htm",l:-1,t:"Grouping Activities",i:0.00132491823255939,a:"Grouping Activities This section describes groups and how to use them for transactions, error-handling, and looping. "},"379":{y:0,u:"../process-design/Overview_of_Groups.htm",l:-1,t:"Overview of Groups",i:0.000408239285065855,a:"Groups are used to specify related sets of activities. The main uses of groups are the following: To create a set of activities that have a common error transition — similar to a try...catch block in Java. This allows you to have a set of activities with only one error-handling transition, instead ..."},"380":{y:0,u:"../process-design/Activity_Output_and_Groups.htm",l:-1,t:"Activity Output and Groups",i:0.000434650461890686,a:"Each activity in the group can access the output of previously executed activities inside or outside the group. If the group is used for a loop (iterate, repeat until true, and so on), activity output in the group is reset so that activities in subsequent iterations of the group will not have access ..."},"381":{y:0,u:"../process-design/Group_Configuration_Tab.htm",l:-1,t:"Group Configuration Tab",i:0.000466073873412639,a:"Group Configuration Tab The following table describes the fields in the Configuration tab for groups. "},"382":{y:0,u:"../process-design/No_Action_Groups.htm",l:-1,t:"No Action Groups",i:0.000492485050237471,a:"You can group a set of related activities, with a common set of transitions into and out of the group. If you do not wish for the activities in the group to repeat, specify the group action to be None. No action groups are primarily useful for specifying a single error transition out of the group so ..."},"383":{y:0,u:"../process-design/If_Groups.htm",l:-1,t:"If Groups",i:0.000434650461890686,a:"You can use groups to conditionally execute business logic. The If group allows you to specify a set of conditions that are evaluated in order. The following is an example of conditional execution using an If group. The transitions from the start of the If group specify the conditions to be ..."},"384":{y:0,u:"../process-design/Critical_Section_Groups.htm",l:-1,t:"Critical Section Groups",i:0.0030244487505764,a:"Critical section groups are used to synchronize process instances so that only one process instance executes the grouped activities at any given time. Any concurrently running process instances that contain a corresponding critical section group wait until the process instance that is currently ..."},"385":{y:0,u:"../process-design/Synchronization_Options.htm",l:-1,t:"Synchronization Options",i:0.000408239285065855,a:"Critical section groups can be used to synchronize all process instances for a particular process definition in a single process engine, or you can synchronize process instances for multiple process definitions, or you can synchronize process instances across multiple process engines.  Single Group ..."},"386":{y:0,u:"../process-design/Usage_Guidelines.htm",l:-1,t:"Usage Guidelines",i:0.000408239285065855,a:"Because Critical Section groups cause many process instances to wait for one process instance to execute the activities in the group, there may be performance implications when using these groups. In general, you should use the following guidelines when creating critical section groups: Keep the ..."},"387":{y:0,u:"../process-design/Pick_First_Groups.htm",l:-1,t:"Pick First Groups",i:0.000492485050237471,a:"Pick first groups allow process execution to wait for one or more events. The first event that completes determines which transition to take to continue processing. For example, as part of an order-entry system, when an order is placed, a check is made to see if the order can be filled from stocked ..."},"388":{y:0,u:"../process-design/Overview_of_Loops.htm",l:-1,t:"Overview of Loops",i:0.000466073873412639,a:"Loops allow you to execute a series of activities more than once. You can iterate based on the items in an array stored in the process data, you can iterate while or until a given condition is true, or you can iterate if an error is encountered while processing. The following are the types of loops ..."},"389":{y:0,u:"../process-design/Index_Variable.htm",l:-1,t:"Index Variable",i:0.000434650461890686,a:"The index variable holds the current number of times a loop has executed. The iteration count starts at one the first time the loop is executed, and the count increases by one for each iteration of the loop.  You can access this variable like any other process data by referencing it with a dollar ..."},"390":{y:0,u:"../process-design/Accumulate_Output.htm",l:-1,t:"Accumulate Output",i:0.00051388399236518,a:"For iteration and repeat until true loops, you can accumulate the output of one of the activities in a group by checking the Accumulate Output field. If you check this field, you can select one of the activities in the group, and each time the loop is executed, the selected activity’s output is ..."},"391":{y:0,u:"../process-design/Iterate_Loop.htm",l:-1,t:"Iterate Loop",i:0.00051388399236518,a:"An Iterate loop repeats the series of grouped activities once for every item in an existing sequence or list. The list can be items of any datatype. The following is an example of an iterate loop.  The process performs the following operations:   A JDBC Query activity is used to query a database and ..."},"392":{y:0,u:"../process-design/Iteration_Element.htm",l:-1,t:"Iteration Element",i:0.000434650461890686,a:"The Iteration Element field on the Configuration tab allows you to supply a name for a process variable containing the current iteration element. This allows you to easily map the value of the current iteration element instead of using predicates on the process variable used for iteration. When you ..."},"393":{y:0,u:"../process-design/Repeat_Until_True_Loop.htm",l:-1,t:"Repeat Until True Loop",i:0.00051388399236518,a:"The Repeat Until True loop repeats the series of grouped activities until the given condition evaluates to true. The activities are always executed once before checking if the condition is true. After executing the series of activities, the condition is checked, and the loop exits when the condition ..."},"394":{y:0,u:"../process-design/While_True_Loop.htm",l:-1,t:"While True Loop",i:0.00051388399236518,a:"While True  Loop The While True loop repeats the series of grouped activities as long as the given condition evaluates as true. The condition is evaluated when the group is entered. If the condition evaluates to false, the activities within the group are not executed. The following is an example of ..."},"395":{y:0,u:"../process-design/Repeat_On_Error_Until_True_Loop.htm",l:-1,t:"Repeat On Error Until True Loop",i:0.00051388399236518,a:"The Repeat On Error Until True loop allows you to repeat a series of activities when an unhandled error occurs. The activities in the group are executed once. If there are no unhandled errors, the loop terminates. If an error occurs for which there is no error transition, the condition of the loop ..."},"396":{y:0,u:"../process-design/Suspend_If_Still_Error_Option.htm",l:-1,t:"Suspend If Still Error Option",i:0.000434650461890686,a:"Repeat On Error Until True loops have the Suspend If Still Error option. When this option is checked, the process instance suspends if the error still exists when the condition of the loop is true. The suspended process is displayed by TIBCO Administrator, and the deployment configuration allows you ..."},"397":{y:0,u:"../process-design/Working_With_Variables.htm",l:-1,t:"Working With Variables",i:0.000523908461759424,a:"Working With Variables This section describes the various types of variables available in ActiveMatrix BusinessWorks and how to use these variables in your process definitions. "},"398":{y:0,u:"../process-design/Overview_of_Variables.htm",l:-1,t:"Overview of Variables",i:0.000408239285065855,a:"There are several types of variables in ActiveMatrix BusinessWorks, each with their own purpose and usage. ActiveMatrix BusinessWorks provides the following types of variables: Global Variables  — these variables allow you to specify constants that can be used throughout the project. The constants ..."},"399":{y:0,u:"../process-design/Global_Variables.htm",l:-1,t:"Global Variables",i:0.00206849031319735,a:"Global variables provide an easy way to set defaults for use throughout your project. There are several ways in which they can be used:  Define a variable using TIBCO Designer, then override the value for individual applications at deployment time using TIBCO Administrator. You can also override ..."},"400":{y:0,u:"../process-design/Global_Variables_Editor.htm",l:-1,t:"Global Variables Editor",i:0.000408239285065855,a:"Use the global variables editor to create or modify global variables, mark variables as settable from TIBCO Administrator, and assign a type to a variable.  To display the global variables editor, in the project panel, select the Global Variables tab or drop down, then click the Open Advanced Editor ..."},"401":{y:0,u:"../process-design/Changing_Global_Variable_Values_at_Runtime.htm",l:-1,t:"Changing Global Variable Values at Runtime",i:0.000408239285065855,a:"You can change the value of a global variable when you deploy your project in TIBCO Administrator. See the section on modifying runtime variables in TIBCO ActiveMatrix BusinessWorks Administration for more information on using TIBCO Administrator.  You can also specify values for global variables ..."},"402":{y:0,u:"../process-design/Process_Variables.htm",l:-1,t:"Process Variables",i:0.000523908461759424,a:"Process variables are data structures available to the activities in the process. Process variables are displayed in the Process Data panel of each activity’s Input tab. This allows you to use process data to supply input values for an activity. Each process variable name starts with a dollar sign ..."},"403":{y:0,u:"../process-design/Activity_Output.htm",l:-1,t:"Activity Output",i:0.000519571228731913,a:"Some activities produce output. Activities have access to any data that is output from previously executed activities in the process definition. An activity’s output is placed into a process variable with the same name as the activity (with a dollar sign placed in front of the name to indicate it is ..."},"404":{y:0,u:"../process-design/Predefined_Process_Variables.htm",l:-1,t:"Predefined Process Variables",i:0.000519571228731913,a:"There are two process variables that are available to all activities that accept input: $_globalVariables and $_processContext. $_globalVariables contains the list of global variables defined on the Global Variables tab of the project. For more information about global variables, see  Global ..."},"405":{y:0,u:"../process-design/Error_Process_Variables.htm",l:-1,t:"Error Process Variables",i:0.000519571228731913,a:"When an error occurs in a process, the data pertaining to the error is placed into process variables. The $_error process variable contains general error information. Activities can also have error process variables named $_error_\u003cactivityName\u003e. In the event of an error, the activity’s error ..."},"406":{y:0,u:"../process-design/User_Defined_Process_Variables.htm",l:-1,t:"User-Defined Process Variables",i:0.000519571228731913,a:"You can define your own process variables and assign values to them in your process definition. Process variables are defined on the Process Variables tab of the Process Definition resource. You create a process variable in the same way you create data schemas for activities. For more information ..."},"407":{y:0,u:"../process-design/Memory_Usage_of_Process_Variables.htm",l:-1,t:"Memory Usage of Process Variables",i:0.000408239285065855,a:"All process variables in a running process instance are stored in memory and therefore consume system resources. Memory saving mode allows memory used by a process variable to be released when the value of the variable is no longer needed. When using memory saving mode, as each activity is executed, ..."},"408":{y:0,u:"../process-design/Shared_Variables.htm",l:-1,t:"Shared Variables",i:0.000523908461759424,a:"Shared Variables A shared variable is a shared configuration resource in the General Activities palette. There are two types of shared variables: Shared Variable  Job Shared Variable"},"409":{y:0,u:"../process-design/Shared_Variable_.htm",l:-1,t:"Shared Variable ",i:0.000630903172397971,a:" A Shared Variable resource allows you to share data across process instances. All process instances can read and update the data stored in a shared variable. This type of shared variable is useful if you wish to pass data across process instances or if you wish to make a common set of information ..."},"410":{y:0,u:"../process-design/Job_Shared_Variable.htm",l:-1,t:"Job Shared Variable",i:0.000630903172397971,a:"A Job Shared Variable resource is similar to a Shared Variable, but its scope is limited to the current job. A copy of the variable is created for each new process instance. This type of shared variable is useful for passing data to and from sub-processes without creating an input or output schema ..."},"411":{y:0,u:"../process-design/Configuring_Shared_Variables.htm",l:-1,t:"Configuring Shared Variables",i:0.000408239285065855,a:"You configure a shared variable by providing the following: a name for the variable the schema of the data contained in the variable optionally, an initial value for the variable for Shared Variable resources, whether the variable is persistent and whether the variable should be available across ..."},"412":{y:0,u:"../process-design/Assigning_and_Retrieving_the_Variable_s_Value.htm",l:-1,t:"Assigning and Retrieving the Variable’s Value",i:0.00297905559358838,a:"You can retrieve the current value of a shared variable by using the Get Shared Variable activity. You can assign a value to the shared variable by using the Set Shared Variable activity. Both of these activities can be found in the General Activities palette.  Before you retrieve the value of a ..."},"413":{y:0,u:"../process-design/Mapping_and_Transforming_Data.htm",l:-1,t:"Mapping and Transforming Data",i:0.000731976876976254,a:"Mapping and Transforming Data This section describes mapping data from a process to a specific activity’s input and how to transform the data using the activity’s Input tab. "},"414":{y:0,u:"../process-design/Overview_of_Mapping_and_Transformation.htm",l:-1,t:"Overview of Mapping and Transformation",i:0.000408239285065855,a:"The Input tab of an activity allows you to supply the data that an activity expects as input. On the Input tab, you can see the available process data and the activity’s expected input. The process data and activity input are represented as schema trees. The following figure illustrates an ..."},"415":{y:0,u:"../process-design/Process_Data_Panel.htm",l:-1,t:"Process Data Panel",i:0.000408239285065855,a:"The process data is the list of available data in the process definition at the point where the activity is located. An activity has access to all output data from any activity that has been previously executed in the process definition. All activities also have access to global variables, process ..."},"416":{y:0,u:"../process-design/Activity_Input_Panel.htm",l:-1,t:"Activity Input Panel",i:0.000408239285065855,a:"The activity’s input is an Extensible Stylesheet Language Transformation (XSLT) template that specifies how process data should be transformed to provide the expected input. Normally, you do not need detailed knowledge of XSLT to specify an activity’s input. However, if you are familiar with XSLT ..."},"417":{y:0,u:"../process-design/Mapping_and_Transforming_Process_Data_to_Activity_Input.htm",l:-1,t:"Mapping and Transforming Process Data to Activity Input",i:0.000408239285065855,a:"When an activity is first dragged from a palette to the design panel, the activity’s input elements are displayed as hints. These hints show you the data the activity expects as input. Each element can be required or optional. Required elements must have a mapping or formula specified. Once a ..."},"418":{y:0,u:"../process-design/Statements__Hints__and_Errors.htm",l:-1,t:"Statements, Hints, and Errors",i:0.000494991167586032,a:"When you display the Input tab for an activity, the existing statements are examined, and any input elements that do not have a statement are displayed as hints. Hints are reminders that you can specify a statement for the input element, but they are not stored as part of the XSLT template for the ..."},"419":{y:0,u:"../process-design/Buttons__Menus__and_Icons.htm",l:-1,t:"Buttons, Menus, and Icons",i:0.000408239285065855,a:"Buttons, Menus, and Icons The Input tab contains several toolbar buttons, popup menus, and icons. This section describes the various graphical elements of the Input tab. "},"420":{y:0,u:"../process-design/Toolbar_and_Right_Click_Menu_on_the_Input_Tab.htm",l:-1,t:"Toolbar and Right-Click Menu on the Input Tab",i:0.000581743050106209,a:"The Process Data panel and the Activity Input panel have several buttons for performing various functions. There is also a popup menu when you right-click on elements in each panel. The following table describes the buttons and right-click menu items available in the panels of the Input tab."},"421":{y:0,u:"../process-design/Icons_for_Schema_Element_Datatypes.htm",l:-1,t:"Icons for Schema Element Datatypes",i:0.000408239285065855,a:"Schema elements also have a set of associated icons to indicate their type. The following table describes the icons used for schema items.  You can use the Type Documentation button to obtain any available documentation on any node in the Process Data or Activity Input schema trees."},"422":{y:0,u:"../process-design/Qualifier_Icons.htm",l:-1,t:"Qualifier Icons",i:0.000408239285065855,a:"Schema elements can have additional icons that specify qualifications. The qualifier icons have different meanings depending upon where they appear. For example, a question mark icon signifies an element is optional in the Process Data schema or in a hint in the Activity Input. However, in an XSLT ..."},"423":{y:0,u:"../process-design/Specifying_Constants.htm",l:-1,t:"Specifying Constants",i:0.000408239285065855,a:"For each element in the activity input schema tree, you can specify a constant. Constants can be strings or numeric values. To specify a string, enclose the string in quotes. To specify a number, type the number into the schema element’s mapping field. The following illustrates specifying the string ..."},"424":{y:0,u:"../process-design/Date_and_Datetime_Strings_in_Constants.htm",l:-1,t:"Date and Datetime Strings in Constants",i:0.000408239285065855,a:"In constant expressions used in activity input bindings, datetime values are read in according to the ISO 8601 standard, as described in the XML Schema specification. For example, the value: \"2002-02-10T14:55:31.112-08:00\" is 55 minutes, 31 seconds and 112 milliseconds after 2pm on February 10th, ..."},"425":{y:0,u:"../process-design/Data_Validation.htm",l:-1,t:"Data Validation",i:0.000408239285065855,a:"Data passed as input to an activity or from an event received by a process starter is validated to ensure that it conforms to its specified datatype. For example, if you pass an XML document to a Parse XML activity, the content of the document is checked to ensure that elements in the document are ..."},"426":{y:0,u:"../process-design/Repairing_Incorrect_Mappings.htm",l:-1,t:"Repairing Incorrect Mappings",i:0.000952608972823205,a:"Any incorrect statements are displayed in red in the Activity Input panel. Errors can occur for a number of reasons. For example,  a required element has no statement, and therefore must be specified the activity’s input schema has changed and existing statements may no longer be valid the XPath ..."},"427":{y:0,u:"../process-design/Shortcuts.htm",l:-1,t:"Shortcuts",i:0.000408239285065855,a:"The Move In, Insert, Add Child, and Edit Statement buttons on the Input tab toolbar are ways to manually manipulate XSLT statements in the Activity Input area. These buttons, however, only add or modify one statement at a time. Also, there are some situations where you wish to convert a hint into a ..."},"428":{y:0,u:"../process-design/Right_Click_Menu.htm",l:-1,t:"Right-Click Menu",i:0.000531861259304853,a:"When you select an element in the Activity Input schema and right-click, a popup menu appears. The Statement menu item contains several sub-items that are useful shortcuts for creating XSLT statements.  Surround with Choice — a shortcut for adding a choice statement and its associated conditions or ..."},"429":{y:0,u:"../process-design/Dragging_to_the_Left.htm",l:-1,t:"Dragging to the Left",i:0.000408239285065855,a:"Dragging an element in the Activity Input schema to the left past the divider between the two areas of the Input tab changes a hint into an XSLT statement. The following figure illustrates dragging an element to the left.  Dragging to the left to change a hint to a statement This shortcut is useful ..."},"430":{y:0,u:"../process-design/Cutting_and_Pasting.htm",l:-1,t:"Cutting and Pasting",i:0.000408239285065855,a:"The Activity Input area is an XSLT template for specifying the activity’s input schema. You can choose any element in the Activity Input area and select Copy from the right-click menu or press the Control-C keys to copy the XSLT statement for the element. Once the XSLT is copied, you can paste it ..."},"431":{y:0,u:"../process-design/Automatic_Testing.htm",l:-1,t:"Automatic Testing",i:0.000408239285065855,a:"When you map process data elements to activity input elements, the behavior of the mapping depends upon the types of elements you are mapping. In the simplest case of mapping a required element in the process data schema to a required activity input element, the value of the process data element is ..."},"432":{y:0,u:"../process-design/Examples_of_Mappings.htm",l:-1,t:"Examples of Mappings",i:0.000494991167586032,a:"Some mappings require several steps to achieve the desired results. This section describes some complicated mapping scenarios and how to achieve the desired mappings using the tools available.  There are many methods to insert or modify XSLT statements in the Activity Input schema. The examples in ..."},"433":{y:0,u:"../process-design/Using_XPath.htm",l:-1,t:"Using XPath",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks uses XPath (XML Path Language) to specify and process elements of the Activity Input schema. You can also use XPath to perform basic manipulation and comparison of strings, dates, numbers, and booleans.  One of the most common uses of XPath is to filter a list for specific ..."},"434":{y:0,u:"../process-design/Setting_an_Element_Explicitly_to_Nil.htm",l:-1,t:"Setting an Element Explicitly to Nil",i:0.000408239285065855,a:"In some situations, you may wish to set an element explicitly to nil. One situation is when you wish to insert a row into a database table and you wish to supply a NULL for one of the columns. To set an input element explicitly to nil, perform the following:   Select the input element you wish to ..."},"435":{y:0,u:"../process-design/Merging_Input_from_Multiple_Sources.htm",l:-1,t:"Merging Input from Multiple Sources",i:0.000408239285065855,a:"You may have multiple elements in the Process Data that you wish to map to one repeating element in the Activity Input. For example, you may have multiple formats for customer records and you wish to create a single, merged mailing list containing all customers in one format. In this example, the ..."},"436":{y:0,u:"../process-design/Converting_a_List_Into_a_Grouped_List.htm",l:-1,t:"Converting a List Into a Grouped List",i:0.000755246815146563,a:"You may need to convert a flat list of items into a more structured list. For example, you may have list of all orders that have been completed. You may want to organize that list so that you can group the orders placed by each customer. This scenario typically occurs when you retrieve records from ..."},"437":{y:0,u:"../process-design/Merging_Two_Corresponding_Lists.htm",l:-1,t:"Merging Two Corresponding Lists",i:0.000408239285065855,a:"You may need to merge two lists that have corresponding items. For example, you may have a list of student IDs and a list of grades, each grade corresponds to the student ID in the same position in the student ID list. In this example, the schemas are the following:  The following procedure ..."},"438":{y:0,u:"../process-design/Coercions.htm",l:-1,t:"Coercions",i:0.000408239285065855,a:"In some situations, the datatype of a Process Data element may be undefined. In these situations, you may know the datatype of the element, and you can coerce the element into a specific type. The Coercions button in the Input tab toolbar allows you to create and manage your coercions.  The ..."},"439":{y:0,u:"../process-design/XSLT_Statements.htm",l:-1,t:"XSLT Statements",i:0.00061861314182503,a:"The following sections describe the XSLT statements you can add to your Activity Input. You can add or edit these statements by clicking the Edit Statement button or these statements can be added automatically by selecting them from the dialogs that appear when you drag and drop elements from the ..."},"440":{y:0,u:"../process-design/Attribute.htm",l:-1,t:"Attribute",i:0.000408239285065855,a:"Allows you to specify an attribute, and optionally the namespace for the attribute. You can also specify the type of value for the attribute.  XSLT Equivalent The following is an attribute named \"lastname\".  \u003cns:attribute namespace=\"mns\" name=\"lastName\"/\u003e When attributes are created, you can ..."},"441":{y:0,u:"../process-design/Choose.htm",l:-1,t:"Choose",i:0.000408239285065855,a:"Provides a way to select transformation to perform based on an expression. Specify the condition in the when element as an XPath expression. You can optionally specify an otherwise condition for processing all elements that do not meet any of the specified when conditions.  XSLT Equivalent The ..."},"442":{y:0,u:"../process-design/Comment.htm",l:-1,t:"Comment",i:0.000408239285065855,a:"Comment Places a comment in the XSLT template. Comments are delimited by \u003c!-- and --\u003e. XSLT Equivalent \u003c!-- comment here --\u003e"},"443":{y:0,u:"../process-design/Copy.htm",l:-1,t:"Copy",i:0.000408239285065855,a:"Copy Copies the selected node to the current node in the input tree. Only the node is copied, no children of the node are copied.  XSLT Equivalent \u003cns0:copy xmlns:ns0=\"http://www.w3.org/1999/XSL/Transform\" select=\"$Query/resultSet\"/\u003e"},"444":{y:0,u:"../process-design/Copy_Contents_Of.htm",l:-1,t:"Copy-Contents-Of",i:0.000408239285065855,a:"Copy-Contents-Of Copies the selected node’s contents. This is useful if you wish to copy an element to a new element with a different name.  XSLT Equivalent \u003cns:element namespace=\"foo\" name=\"bar\"\u003e    \u003cns:copy-of select=\"null/@*\"/\u003e    \u003cns:copy-of select=\"null/node()\"/\u003e \u003c/ns:element\u003e"},"445":{y:0,u:"../process-design/Copy_Of.htm",l:-1,t:"Copy-Of",i:0.000408239285065855,a:"Copy-Of Creates a copy of the selected node, including the node’s children. Both the copied node and the destination node must have the same name and structure.  XLST Equivalent \u003cns0:copy-of xmlns:ns0=\"http://www.w3.org/1999/XSL/Transform\" select=\"\"/\u003e"},"446":{y:0,u:"../process-design/Element.htm",l:-1,t:"Element",i:0.000408239285065855,a:"Element Creates an element with the specified name.  XSLT Equivalent \u003celementName\u003evalue\u003c/elementName\u003e"},"447":{y:0,u:"../process-design/For_Each.htm",l:-1,t:"For-Each",i:0.000408239285065855,a:"Performs the specified statements once for each item in the selected node. This is useful if you wish to process each item of a repeating element once.  XSLT Equivalent The following iterates over the list of files transferred from an FTP Put activity and outputs an element with the name of each ..."},"448":{y:0,u:"../process-design/For_Each_Group.htm",l:-1,t:"For-Each-Group",i:0.000408239285065855,a:"Groups the items in a list by a specified element. This statement requires a Grouping statement to specify which element to group-by. For an example of using the For-Each-Group statement, see  Converting a List Into a Grouped List .  XSLT Equivalent \u003cns0:for-each-group ..."},"449":{y:0,u:"../process-design/Generate_Comment.htm",l:-1,t:"Generate Comment",i:0.000408239285065855,a:"Generate Comment Places a comment element into the XSLT template. This comment will be generated into the activity’s output.  Comment elements have the following syntax: \u003cns0:comment xmlns:ns0=\"http://www.w3.org/1999/XSL/Transform\"/\u003e"},"450":{y:0,u:"../process-design/Generate_PI.htm",l:-1,t:"Generate PI",i:0.000408239285065855,a:"Generate PI Places a processing instruction into the XSLT template.  XSLT Equivalent \u003cns0:processing-instruction xmlns:ns0=\"http://www.w3.org/1999/XSL/Transform\" name=\"\"/\u003e"},"451":{y:0,u:"../process-design/If_.htm",l:-1,t:"If ",i:0.000408239285065855,a:" An if statement is used to surround other statements in an XSLT template to perform conditional processing. If the test attribute evaluates to true, the statements in the if are output, otherwise they are not output.  XSLT Equivalent The following if statement surrounds an attribute for processing ..."},"452":{y:0,u:"../process-design/Value_Of.htm",l:-1,t:"Value-Of",i:0.000408239285065855,a:"Value-Of Specifies a value-of statement. This is normally done implicitly by specifying the formula for an activity input item, but you may insert this statement explicitly.  XSLT Equivalent \u003cns:value-of xmlns:ns=\"http://www.w3.org/1999/XSL/Transform\" select=\"\"/\u003e"},"453":{y:0,u:"../process-design/Variable.htm",l:-1,t:"Variable",i:0.000408239285065855,a:"Adds a local variable for use in the current mapping. You can specify the name of the variable and whether you wish the variable to have a select attribute. When you add a local variable, it appears in the Activity Input and Process Data areas. You can supply any XPath expression to the new variable ..."},"454":{y:0,u:"../process-design/XPath.htm",l:-1,t:"XPath",i:0.0029650781148788,a:"XPath (XML Path Language) is an expression language developed by the World Wide Web Consortium (W3C) for addressing parts of XML documents. XPath also has basic manipulation functions for strings, numbers, and booleans.  ActiveMatrix BusinessWorks uses XPath as the language for defining conditions ..."},"455":{y:0,u:"../process-design/XPath_Basics.htm",l:-1,t:"XPath Basics",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks uses XPath (XML Path Language) to specify and process elements of data schema. These data schema are either process variables or input schema for an activity. You can also use XPath to perform basic manipulation and comparison of strings, numbers, and booleans. To use ..."},"456":{y:0,u:"../process-design/Addressing_Schema_Elements.htm",l:-1,t:"Addressing Schema Elements",i:0.000408239285065855,a:"All process data and activity input are represented as an XML schema. Regardless of where the data comes from or its format, ActiveMatrix BusinessWorks represents the data as a schema tree. The data can be simple (strings, numbers, booleans, and so on), or it can be a complex element. Complex ..."},"457":{y:0,u:"../process-design/Evaluation_Context.htm",l:-1,t:"Evaluation Context",i:0.000755246815146563,a:"XPath also has a method for referencing relative paths from a particular node. If you have an evaluation context, or a particular starting node in a schema tree, you can specify the relative path to other elements in the tree.  For example, if your evaluation context is ..."},"458":{y:0,u:"../process-design/Namespaces.htm",l:-1,t:"Namespaces",i:0.000408239285065855,a:"Namespaces Some schema elements must be prefixed with their namespace. The namespace is automatically added to elements that require this when creating mappings on the Input tab of an activity or when dragging and dropping data in the XPath formula builder. "},"459":{y:0,u:"../process-design/Search_Predicates.htm",l:-1,t:"Search Predicates",i:0.000408239285065855,a:"An XPath expression can have a search predicate. The search predicate is used to locate a specific element of a repeating schema item. For example, the $GetOrderInformation/OrderDetails/OrderItem item is a repeating element. If you wish to select only the first item in the repeating element, you ..."},"460":{y:0,u:"../process-design/Testing_For_Nil.htm",l:-1,t:"Testing For Nil",i:0.000408239285065855,a:"Testing For Nil Some elements can be explicitly set to nil. You can test an element to determine if it is set to nil or not. For example, the following XPath expression returns true if the $Order/Item/OnSale element is set to nil: $Order/Item/OnSale/@xsi:nil=\"true\""},"461":{y:0,u:"../process-design/Comments.htm",l:-1,t:"Comments",i:0.000408239285065855,a:"Comments You can add comments to XPath expressions using the XPath 2.0 syntax for comments. The syntax is: {-- \u003ccomment here\u003e --} For example, the following XPath expression contains a comment: $GetOrderInformation/ShipName/Street {-- returns the street --}"},"462":{y:0,u:"../process-design/The_XPath_Formula_Builder.htm",l:-1,t:"The XPath Formula Builder",i:0.000408239285065855,a:"The XPath formula builder can be used where XPath expressions are allowed, such as when creating transformations on the Input tab of an activity. The XPath formula builder allows you to drag and drop schema elements and XPath functions to create XPath expressions. The schema elements, when dragged ..."},"463":{y:0,u:"../process-design/String_Representations_of_Datatypes.htm",l:-1,t:"String Representations of Datatypes",i:0.000408239285065855,a:"When data must be represented in the input or output of an activity, the data is represented as a string. For example, writing the output of an activity to a file requires that numeric data be serialized into string form. Also, supplying a floating point number to an XPath function in the Input tab ..."},"464":{y:0,u:"../process-design/Date_and_Time_Functions.htm",l:-1,t:"Date and Time Functions",i:0.000408239285065855,a:"There are some functions in the XPath formula builder that allow you to parse or format strings that represent dates and times. These functions are: format-dateTime(\u003c\u003cformat\u003e\u003e, \u003c\u003cdateTime\u003e\u003e) format-date(\u003c\u003cformat\u003e\u003e, \u003c\u003cdate\u003e\u003e) format-time(\u003c\u003cformat\u003e\u003e, \u003c\u003ctime\u003e\u003e) parse-dateTime(\u003c\u003cformat\u003e\u003e, \u003c\u003cstring\u003e\u003e) ..."},"465":{y:0,u:"../process-design/BW_Process_Information_Functions.htm",l:-1,t:"ActiveMatrix BusinessWorks Process Information Functions",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks provides functions in the XPath formula builder that can be used to fetch process related information for any activity. These functions, listed under the group ActiveMatrix BusinessWorks, are: getCurrentProcessName(\u003cprocessID\u003e): Fetches the process name associated with the ..."},"466":{y:0,u:"../process-design/Error_Handling.htm",l:-1,t:"Error Handling",i:0.00152485601549249,a:"Error Handling When executing business processes, activities can encounter errors. You may wish to add procedures to your process definitions for handling any expected or unexpected errors. This section describes error handling in process definitions. "},"467":{y:0,u:"../process-design/Overview_of_Error_Handling.htm",l:-1,t:"Overview of Error Handling",i:0.000408239285065855,a:"Errors can occur during activity processing. For example, an error may occur during a Send Mail activity if the specified mail host does not exist. You can specify that one transition out of an activity is to be taken in the case of an error. You then specify activities you wish to execute in the ..."},"468":{y:0,u:"../process-design/The_Error_Process_Variables.htm",l:-1,t:"The Error Process Variables",i:0.000408239285065855,a:"When an error transition is taken, error data is available to activities that execute after the error transition. There are two types of process variables that contain error data, the $_error process variable and the activity error variables. Activity error variables are named ..."},"469":{y:0,u:"../process-design/__error_Process_Variable.htm",l:-1,t:"$_error Process Variable",i:0.000408239285065855,a:"The $_error process variable contains general information about the process in which the error occurred. The schema of the $_error variable is the following: The contents of each schema item are dependent upon the activity that throws the error. The Data schema item contains activity-specific error ..."},"470":{y:0,u:"../process-design/__error__activityName__Process_Variables.htm",l:-1,t:"$_error_\u003cactivityName\u003e Process Variables",i:0.000408239285065855,a:"Each activity has one or more predefined error schemas. The error schemas are displayed on the activity’s Error Output tab. Typically, there are two or three types of exceptions an activity can encounter, and these are represented as a choice element in the error output schema. For example, the ..."},"471":{y:0,u:"../process-design/Error_Propagation.htm",l:-1,t:"Error Propagation",i:0.000408239285065855,a:"Groups and called processes define the scope of an exception. An exception that occurs within a group or a called process causes processing to halt. Any unhandled exceptions are propagated to the next highest exception scope. Unhandled errors occur where there is no error transition or Catch ..."},"472":{y:0,u:"../process-design/Group_Error_Propagation.htm",l:-1,t:"Group Error Propagation",i:0.000408239285065855,a:"Unhandled errors halt the execution of a group and the error transition out of the group is taken.  The following figure illustrates a process definition that waits for new text files, parses the files into an XML schema, then inserts the records into a database table.  Propagating errors from a ..."},"473":{y:0,u:"../process-design/Called_Process_Error_Propagation.htm",l:-1,t:"Called Process Error Propagation",i:0.0008196300054208,a:"When a process definition calls another process definition, the called process can encounter errors. Any unhandled errors encountered when executing the called process cause the called process to halt execution and return the error to the next highest exception scope. The following figure ..."},"474":{y:0,u:"../process-design/Process_Error_Schemas.htm",l:-1,t:"Process Error Schemas",i:0.00145194350316891,a:"The error process variables contain the default data returned in the event of an error. You can define specific error schemas to hold error data when errors are propagated from a group or a called process. Each process can define a number of error schemas by creating these schemas on the Error ..."},"475":{y:0,u:"../process-design/Using_the_Catch_and_Rethrow_Activities.htm",l:-1,t:"Using the Catch and Rethrow Activities",i:0.000408239285065855,a:"You can place a Catch activity in your process definition to deal with unhandled exceptions. The Catch activity allows you to create a track that handles the exception and proceeds to the end of the current scope; either the end of the process definition or the end of a group. You can use the Catch ..."},"476":{y:0,u:"../process-design/Transactions.htm",l:-1,t:"Transactions",i:0.000492485050237471,a:"Transactions ActiveMatrix BusinessWorks allows you to group some activities into a transaction group. Transactions ensure that all participants in the transaction either complete or are rolled back together. This section describes how to incorporate transactions into your process definitions. "},"477":{y:0,u:"../process-design/Overview_of_Transactions.htm",l:-1,t:"Overview of Transactions",i:0.000408239285065855,a:"In ActiveMatrix BusinessWorks a transaction is a logical unit of work. Transactions allow you to group multiple activities into an atomic execution unit. All activities that can participate in a transaction must either complete successfully or be undone or rolled back together. To create a ..."},"478":{y:0,u:"../process-design/Types_of_Transactions.htm",l:-1,t:"Types of Transactions",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks offers a variety of types of transactions that can be used in different situations. You can use the type of transaction that suits the needs of your integration project. When you create a transaction group, you must specify the type of transaction. ActiveMatrix ..."},"479":{y:0,u:"../process-design/JDBC.htm",l:-1,t:"JDBC",i:0.000494991167586032,a:"The JDBC transaction allows multiple JDBC activities that access the same database connection to participate in a transaction. Only JDBC activities that use the same JDBC Connection participate in this transaction type, but other activities can be part of the transaction group. If the transaction ..."},"480":{y:0,u:"../process-design/Multiple_JDBC_Connections_In_Transaction_Groups.htm",l:-1,t:"Multiple JDBC Connections In Transaction Groups",i:0.000408239285065855,a:"All activities that use the same JDBC Connection shared configuration resource are part of the same transaction. It is possible to use more than one JDBC Connection in the same transaction group. However, only activities that use the same JDBC Connection are guaranteed to commit or rollback together ..."},"481":{y:0,u:"../process-design/Configuring_JDBC_Transactions.htm",l:-1,t:"Configuring JDBC Transactions",i:0.000408239285065855,a:"Configuring JDBC Transactions To configure a JDBC transaction, select JDBC Transaction as the transaction type of the group. Also, in the JDBC Connection resource(s) used by JDBC and Checkpoint activities in the group, select JDBC in the Connection Type field. "},"482":{y:0,u:"../process-design/Java_Transaction_API__JTA__UserTransaction.htm",l:-1,t:"Java Transaction API (JTA) UserTransaction",i:0.000494991167586032,a:"The Java Transaction API (JTA) UserTransaction type allows JDBC, JMS, ActiveEnterprise Adapter (using JMS transports), and EJB activities to participate in transactions. JTA specifies standard Java interfaces between a transaction manager and the parties involved in a distributed transaction system: ..."},"483":{y:0,u:"../process-design/Configuring_JTA_UserTransaction_Transactions.htm",l:-1,t:"Configuring JTA UserTransaction Transactions",i:0.000408239285065855,a:"To configure a JTA UserTransaction, select JTA UserTransaction as the transaction type of the group. JDBC Connections used by JDBC activities in the transaction group must be configured to use JNDI as the connection type and specify the data source in the application server. Activities that use the ..."},"484":{y:0,u:"../process-design/XATransaction.htm",l:-1,t:"XA Transaction",i:0.000494991167586032,a:"The XA Transaction type allows you to specify an XA-compliant transaction manager provided by a third party that supports the interfaces javax.transaction.TransactionManager and javax.transaction.Transaction. The following XA-compliant transaction managers have been tested with ActiveMatrix ..."},"485":{y:0,u:"../process-design/Configuring_XA_Transactions.htm",l:-1,t:"Configuring XA Transactions",i:0.000408239285065855,a:"To configure an XA Transaction, select XA Transaction as the transaction type of the group.  JDBC Connections used by JDBC activities in the transaction group must be configured to use XA as the connection type. JMS activities must be configured to use the XA connection factory. The XA Transaction ..."},"486":{y:0,u:"../process-design/Configuring_Transaction_Managers.htm",l:-1,t:"Configuring Transaction Managers",i:0.000755246815146563,a:"When using a transaction manager with ActiveMatrix BusinessWorks, you must configure the transaction manager and ActiveMatrix BusinessWorks to work together properly. This section details the requirements for configuring the supported transaction managers. TIBCO BusinessWorks XA Transaction Manager ..."},"487":{y:0,u:"../process-design/Transaction_Recovery.htm",l:-1,t:"Transaction Recovery",i:0.000408239285065855,a:"XA Transactions can be recovered in the event of a failure. This section details transaction recovery in the supported transaction managers.  TIBCO BusinessWorks XA Transaction Manager By default, the transaction manager and the recovery manager are started in the same Java VM as ActiveMatrix ..."},"488":{y:0,u:"../process-design/PreCreating_XA_Transactions_At_Event_Sources.htm",l:-1,t:"PreCreating XA Transactions At Event Sources",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks supports including Event Sources such as JMS Queue Receiver, AE Subscriber in a transaction. For the XA Transaction Type, Event Sources can be included in the Transaction Group by selecting the Event Source in the Include In Transaction dropdown list. The transaction is ..."},"489":{y:0,u:"../process-design/Monitoring_XA_Transactions.htm",l:-1,t:"Monitoring XA Transactions",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks provides TIBCO Hawk microagent methods for monitoring XA transactions processed by TIBCO XA Transaction Manager or Arjuna Transaction manager. You can use the Hawk console to return a list of transactions that are currently being processed, or you can return statistics for ..."},"490":{y:0,u:"../process-design/JMS_Local_Transaction.htm",l:-1,t:"JMS Local Transaction",i:0.000494991167586032,a:"The JMS Local transaction allows JMS activities to participate in a transaction.  The JMS specification defines the concept of a transacted JMS Session that can be used to transact sends and receives, all or none of which will get executed when the session is committed.  A session, when specified as ..."},"491":{y:0,u:"../process-design/Configuring_JMS_Local_Transactions.htm",l:-1,t:"Configuring JMS Local Transactions",i:0.000408239285065855,a:"To configure a JMS Local transaction, select JMS Local Transaction as the transaction type of the group.  To include the JMS Receiver in JMS Local Transaction, choose the Event Source in Include In Transaction.  To exclude a JMS Send activity from a transaction, check the Override Transaction ..."},"492":{y:0,u:"../process-design/Limitations_while_working_with_JMS_Local_Transactions.htm",l:-1,t:"Limitations while working with JMS Local Transactions",i:0.000408239285065855,a:"Several sessions within a single JMS Local Transaction group Consider several JMS activities present within the same JMS Local Transactional group, but referring to different sessions. These activities may refer to different Shared JMS Connection resources Although two Shared JMS Connection ..."},"493":{y:0,u:"../process-design/Nested_Transactions.htm",l:-1,t:"Nested Transactions",i:0.000408239285065855,a:"It is possible to place a transaction group in another transaction group, thus \"nesting\" transactions. However, each group starts a separate transaction and behaves independent of the nesting group.  The following table describes the effect of creating a transaction group in another transaction ..."},"494":{y:0,u:"../process-design/Summary_of_Transactions.htm",l:-1,t:"Summary of Transactions",i:0.00272100823156614,a:"Summary of Transactions The following tables summarize the support of each type of activity in each type of transaction.  The following table summarizes the JDBC transaction type.  The following table summarizes the XA transaction type.  The following table summarizes the JTA UserTransaction type. "},"495":{y:0,u:"../process-design/Process_Instance_Execution_.htm",l:-1,t:"Process Instance Execution ",i:0.000523908461759424,a:"Process Instance Execution  This section details aspects of process execution that you can control with configuration fields in the process definition. "},"496":{y:0,u:"../process-design/Detecting_Duplicate_Process_Instances.htm",l:-1,t:"Detecting Duplicate Process Instances",i:0.00110225434522727,a:"Duplicate messages should be detected and discarded to avoid processing the same event more than once. Duplicate detection is performed when a process instance executes its first Checkpoint activity. You must specify a value for the duplicateKey element in the Checkpoint activity input schema. This ..."},"497":{y:0,u:"../process-design/When_to_Perform_Checkpoints.htm",l:-1,t:"When to Perform Checkpoints",i:0.000408239285065855,a:"When detecting duplicate messages, it is important to place the Checkpoint activity before any activities that you do not want to execute more than once. For example, consider the following process definition.  In this process definition, an order is received, inventory is checked, and then either ..."},"498":{y:0,u:"../process-design/Specifying_the_Duplicate_Key.htm",l:-1,t:"Specifying the Duplicate Key",i:0.000408239285065855,a:"Duplicate detection is only as efficient as the duplicateKey that is specified. You should try to pick a value that is unique for every message. For example, you may select the JMSMessageID header property for JMS messages. In the example in the previous section, orderID is unique for each incoming ..."},"499":{y:0,u:"../process-design/Transactions_and_Duplicate_Detection.htm",l:-1,t:"Transactions and Duplicate Detection",i:0.000408239285065855,a:"Transaction groups using certain transaction types can allow Checkpoint activities to be performed as part of the transaction. In this case, the checkpoint performed for the transaction may be the first checkpoint in the process definition. If this is the case, you can specify the duplicateKey as ..."},"500":{y:0,u:"../process-design/Handling_Duplicate_Messages_.htm",l:-1,t:"Handling Duplicate Messages ",i:0.000408239285065855,a:" When a duplicate is detected, the Checkpoint activity fails with the DuplicateException. You can place an error transition from the Checkpoint activity to a series of activities to handle the duplicate message. If no error transition is specified, the process instance terminates and duplicate ..."},"501":{y:0,u:"../process-design/Process_Engine_Properties_for_Duplicate_Detection.htm",l:-1,t:"Process Engine Properties for Duplicate Detection",i:0.000408239285065855,a:"The following process engine properties control duplicate key detection.  bw.engine.dupKey.enabled — specifies whether duplicate detection is performed.  true (the default) indicates the process engine will check for identical duplicateKey values.  false indicates duplicateKeys when specified are ..."},"502":{y:0,u:"../process-design/Sequencing_Process_Instances.htm",l:-1,t:"Sequencing Process Instances",i:0.000408239285065855,a:"Process instances can be executed in the order they were created. ActiveMatrix BusinessWorks allows you to specify a sequencing key on process starters that determines which process instances to execute sequentially. Process instances with sequencing keys that evaluate to the same value are executed ..."},"503":{y:0,u:"../process-design/Example_1__Processing_Orders_As_They_Are_Received.htm",l:-1,t:"Example 1: Processing Orders As They Are Received",i:0.000408239285065855,a:"In this example, an order-entry system must process incoming orders in the order in which they are received. The orders are placed using a web client and the ActiveMatrix BusinessWorks process definition uses an HTTP Receiver process starter to accept the incoming orders. The following figure ..."},"504":{y:0,u:"../process-design/Example_2__Periodic_Processing.htm",l:-1,t:"Example 2: Periodic Processing",i:0.000408239285065855,a:"In this example, the Timer process starter is used to start a process every five minutes. The process is a monitoring application that examines data in a database and performs the appropriate action. For example, if the number of rows returned by a query is greater than 5000, the process archives ..."},"505":{y:0,u:"../process-design/Example_3__Handling_Client_Messages.htm",l:-1,t:"Example 3: Handling Client Messages",i:0.000408239285065855,a:"In this example, a JMS application sends messages to ActiveMatrix BusinessWorks for processing. Each JMS client authenticates to the JMS server with a different user ID. Messages from different clients are permitted to be processed concurrently, but all messages received from the same client must be ..."},"506":{y:0,u:"../process-design/Logging_for_Third_Party_Components.htm",l:-1,t:"Logging for Third-Party Components",i:0.00105020754889714,a:"ActiveMatrix BusinessWorks can use a variety of third-party components. For example, the Apache Tomcat server is used to accept incoming HTTP or SOAP requests or the Arjuna Transaction Service can be used as a transaction manager. Many third-party components can use the standard log4j logging ..."},"507":{y:0,u:"../process-design/Inter_Process_Communication.htm",l:-1,t:"Inter-Process Communication",i:0.000408239285065855,a:"Executing process instances can communicate and can pass data between each other. The General Activities palette contains the Wait and Notify activities and the Receive Notification process starter for implementing inter-process communication. This section describes inter-process communication and ..."},"508":{y:0,u:"../process-design/Overview_of_Inter_Process_Communication.htm",l:-1,t:"Overview of Inter-Process Communication",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks allows two executing process instances to communicate. You may need process instances to communicate if you wish to synchronize process execution or if your processes must execute in a specific order.  ActiveMatrix BusinessWorks provides the Wait and Notify activities and ..."},"509":{y:0,u:"../process-design/Data_for_Inter_Process_Communication.htm",l:-1,t:"Data for Inter-Process Communication",i:0.000408239285065855,a:"The Notify Configuration shared configuration resource defines the data that the Notify activity passes to the corresponding Wait activity or Receive Notification process starter. The schema for the data is defined in the same way as any other schema is defined. See  Editor  for more information on ..."},"510":{y:0,u:"../process-design/Coordinating_Inter_Process_Communication.htm",l:-1,t:"Coordinating Inter-Process Communication",i:0.000408239285065855,a:"When configuring Receive Notification, Wait, and Notify activities, you must specify a key to coordinate which activities correspond to each other. You can also specify a timeout for how long to keep the information about Wait and Notify activities before it is removed from storage. The following ..."},"511":{y:0,u:"../process-design/Specifying_the_Key.htm",l:-1,t:"Specifying the Key",i:0.000408239285065855,a:"To configure Receive Notification, Wait, and Notify activities, you must specify a key that correlates Notify activities with Receive Notification or Wait activities. The key is a string that corresponding activities specify to determine when a Receive Notification or Wait activity should accept ..."},"512":{y:0,u:"../process-design/Timeouts_for_Notify_and_Wait.htm",l:-1,t:"Timeouts for Notify and Wait",i:0.000408239285065855,a:"Notify and Wait activities have associated timeouts. Timeouts specify how long information for the Notify and Wait is kept before it is removed from storage.  The Notify activity executes immediately and transitions to the next activity in the process definition. However, the timeout value for the ..."},"513":{y:0,u:"../process-design/Database_Storage_for_Wait_Notify_Receive_Notification_Information.htm",l:-1,t:"Database Storage for Wait/Notify/Receive Notification Information",i:0.000408239285065855,a:"If your process engines are located on different machines, a database is required to store process instance state for inter-process communication. When process engines reside on different machines, they must share information about pending Wait/Receive Notification/Notify activities.  A database ..."},"514":{y:0,u:"../process-design/Examples_of_Inter_Process_Communication.htm",l:-1,t:"Examples of Inter-Process Communication",i:0.000928750580186917,a:"Examples of Inter-Process Communication The following sections describe situations where inter-process communication may be necessary. "},"515":{y:0,u:"../process-design/Enforcing_Order_for_Process_Execution.htm",l:-1,t:" Enforcing Order for Process Execution",i:0.000408239285065855,a:" Enforcing Order for Process Execution If you wish process instances to execute in a certain order, you can use Wait and Notify activities to accomplish this. This requires using some portion of the incoming event to determine the order.  For example, an application may assign a priority number to ..."},"516":{y:0,u:"../process-design/Multiple_Types_of_Incoming_Events_Resume_a_Running_Process.htm",l:-1,t:"Multiple Types of Incoming Events Resume a Running Process",i:0.000408239285065855,a:"Some processes require a \"Wait for...\" event (for example, Wait for Adapter Message) to continue processing. This occurs when the process requires an external application to send an additional request.  For example, a new order arrives, and because the total is over $100,000, it requires approval ..."},"517":{y:0,u:"../process-design/Scalability_With_Incoming_Events.htm",l:-1,t:"Scalability With Incoming Events",i:0.00469593711536883,a:"You may distribute incoming events across multiple process engines. This allows for greater scalability because the load of incoming events is distributed. However, \"Wait for...\" activities, such as Wait for Rendezvous Message are configured on static filters and cannot be configured to filter based ..."},"518":{y:0,u:"../process-design/Specific_Protocol_Requirements.htm",l:-1,t:"Specific Protocol Requirements",i:0.000408239285065855,a:"Some business processes use protocols with specific requirements that make inter-process communication necessary. For example, you may have a process that starts when a TIBCO Rendezvous Certified Message (RVCM) arrives. Your process may also require a Wait for Rendezvous Message listening on the ..."},});