define({"519":{y:0,u:"../process-design/Invoking_and_Implementing_Web_Services.htm",l:-1,t:"Invoking and Implementing Web Services",i:0.000408239285065855,a:"Invoking and Implementing Web Services Web services provide a standards-based approach for application integration between or within organizations. This section describes implementing and invoking web services using ActiveMatrix BusinessWorks. "},"520":{y:0,u:"../process-design/Overview_of_Web_Services.htm",l:-1,t:"Overview of Web Services",i:0.000408239285065855,a:"An organization can offer its application services to other organization by using the standards-based model of web services. Web services can be used within a business to integrate various critical applications, or web services can be made available to other businesses or individuals.  Web services ..."},"521":{y:0,u:"../process-design/The_Service_Palette.htm",l:-1,t:"The Service Palette",i:0.000523908461759424,a:"A service implements one or more interfaces and exposes one or more endpoints per interface. In web service terminology, the interface would be a PortType in a WSDL 1.1 file. The endpoint would be referred to as a port. However, the term endpoint does not imply a physical network address where the ..."},"522":{y:0,u:"../process-design/Context_Separation.htm",l:-1,t:"Context Separation",i:0.000408239285065855,a:"Because the Service resource separates the service definition from the transport and the implementation of operations, your implementations may require context information from the underlying request on the specific transport. For example, you may wish to alter processing of the request based on the ..."},"523":{y:0,u:"../process-design/Configuring_a_Service.htm",l:-1,t:"Configuring a Service",i:0.000408239285065855,a:"When specifying a Service resource, you must supply the following: a WSDL file — this defines the interface for the service. This interface describes the operations contained in the service and input, output, and fault messages for the operations.  endpoint bindings — endpoints expose the location ..."},"524":{y:0,u:"../process-design/Operation_Implementation.htm",l:-1,t:"Operation Implementation",i:0.000408239285065855,a:"In ActiveMatrix BusinessWorks, process definitions implement operations. The input, output, and error schemas for the process definition that implements an operation must match the input, output, and fault messages specified for the operation. The following figure illustrates the WSDL file and ..."},"525":{y:0,u:"../process-design/Running_Services.htm",l:-1,t:"Running Services",i:0.000408239285065855,a:"When you deploy and run a project containing a Service resource, a service agent is created for the Service resource. The service agent waits for incoming requests on its specified endpoints and creates process instances to execute the implementation of the requested operation.  For each incoming ..."},"526":{y:0,u:"../process-design/Partners_and_Partner_Link_Configurations.htm",l:-1,t:"Partners and Partner Link Configurations",i:0.000408239285065855,a:"Partners are external services that can be invoked from BusinessWorks Process Definitions. Partners are defined by a name and a WSDL portType that describes the operations that can be invoked. The Invoke Partner activity is used within a process definition to invoke an operation on a partner ..."},"527":{y:0,u:"../process-design/Applying_WS_Security_Policy_for_Partner_Link_Configuration.htm",l:-1,t:"Applying WS-Security Policy for Partner Link Configuration",i:0.000408239285065855,a:"Endpoint operation of a partner link defined in a Partner Link Configuration resource acts as a security subject and the security policies can be applied to it. There is a unique association between the partner link service endpoint operation security subject and the applied security policies. The ..."},"528":{y:0,u:"../process-design/Associating_Policies_with_the_Invoke_Partner_Activity_.htm",l:-1,t:"Associating Policies with the Invoke Partner Activity ",i:0.000408239285065855,a:" Invoke Partner activities are bound using the partner links and support the message level security. Using the service endpoint operation as the security subject ensures consistency in associating the security policies with the service resources. The service resource also exposes the service ..."},"529":{y:0,u:"../process-design/Headers_for_Declared_Faults.htm",l:-1,t:"Headers for Declared Faults",i:0.000755246815146563,a:"This feature enables the user to configure headers for declared faults. With this the user will be able to configure different schemas to be mapped to the headers for different Fault messages. A Fault Headers tab, as shown in the following figure, has been added to the Advanced SOAP Settings. You ..."},"530":{y:0,u:"../process-design/Configuring_Context_Resource.htm",l:-1,t:"Configuring Context Resource",i:0.000408239285065855,a:"The way headers are configured in  Headers for Declared Faults , define the Context Resource that can be used to map user inputs to the configured headers. Irrespective of the number of fault messages for which headers are configured, there will be only one shared context resource to be used. Hence, ..."},"531":{y:0,u:"../process-design/The_SOAP_Palette.htm",l:-1,t:"The SOAP Palette",i:0.000523908461759424,a:"ActiveMatrix BusinessWorks can act as a SOAP client and send SOAP requests to remote web services, or ActiveMatrix BusinessWorks can act as a SOAP server and handle incoming SOAP requests. The following figure illustrates how the activities of the SOAP palette allow ActiveMatrix BusinessWorks to ..."},"532":{y:0,u:"../process-design/Sending_SOAP_Requests.htm",l:-1,t:"Sending SOAP Requests",i:0.000408239285065855,a:"A ActiveMatrix BusinessWorks process definition can perform a SOAP request operation using the SOAP Request Reply activity. In this case, the process acts as a SOAP client that sends a request to a web service. The web service is described in a WSDL file. You can retrieve WSDL files from well-known ..."},"533":{y:0,u:"../process-design/Receiving_SOAP_Requests.htm",l:-1,t:"Receiving SOAP Requests",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks can implement a web service through a process definition. The SOAP Event Source process starter defines the concrete WSDL file for the web service. SOAP clients must retrieve the concrete WSDL file before sending a SOAP request to the service. The WSDL Palette allows you ..."},"534":{y:0,u:"../process-design/Processing_SOAP_Messages_with_Attachments.htm",l:-1,t:"Processing SOAP Messages with Attachments",i:0.000408239285065855,a:"SOAP messages can have message parts that contain attachments. For a message part to contain an attachment, specify the Special Type in the Type field of the Part Details section of the Message resource when creating a WSDL file configuration. See TIBCO ActiveMatrix BusinessWorks Palette Reference ..."},"535":{y:0,u:"../process-design/SOAP_Undescribed_Headers.htm",l:-1,t:"SOAP Undescribed Headers",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks SOAP header support is added on the Service Resource to handle Undescribed headers. Undescribed headers are SOAP headers that may appear in the SOAP message but are not part of the WSDL binding description. For Inputs, their content has to be mapped into a context object ..."},"536":{y:0,u:"../process-design/Partner_Link_Configuration_for_Undescribed_Header_Support.htm",l:-1,t:"Partner Link Configuration for Undescribed Header Support",i:0.000408239285065855,a:"Undescribed headers are SOAP headers may appear in the SOAP message but are not part of the WSDL binding description. For Operation Input, as these headers are not part of the binding, they must be mapped to the SOAP message from a context object. For Operation Outputs, as these headers are not part ..."},"537":{y:0,u:"../process-design/SOAP_Fault_Sub_Element_Propagation.htm",l:-1,t:"SOAP Fault Sub-Element Propagation",i:0.000408239285065855,a:"This feature allows the SOAP Fault sub-elements - faultcode, faultstring, and faultactor to be specified on SOAP faults generated by ActiveMatrix BusinessWorks. With this mechanism the SOAP faults generated within the ActiveMatrix BusinessWorks process can be propagated to the framework in which it ..."},"538":{y:0,u:"../process-design/Fault_Context_for_a_Service_Resource.htm",l:-1,t:"Fault Context for a Service Resource",i:0.000408239285065855,a:"Fault Context tab in the Advanced SOAP Settings screen allows the user to select a context resource. User can map the fault elements to the context object as shown in the following figure. Fault Context Data Mapping in Service Resource The selection of the shared context resource enables the mapper. ..."},"539":{y:0,u:"../process-design/Configuring_Fault_Context_on_Partner_Link_Configuration.htm",l:-1,t:"Configuring Fault Context on Partner Link Configuration",i:0.000408239285065855,a:"You can select a shared context resource. The selection of the shared context resource enables the mapper, whose left hand side contains the global variables and the canonical representation of the context, while the right hand side contains the context resource element.  Fault Context Propagation ..."},"540":{y:0,u:"../process-design/Web_Service_Wizards.htm",l:-1,t:"Web Service Wizards",i:0.000408239285065855,a:"Creating web services involves multiple resources and configuration options. ActiveMatrix BusinessWorks provides two wizards for easily creating web services. The two wizards are useful in the following situations: you wish to expose one or more process definitions as web services. you have a WSDL ..."},"541":{y:0,u:"../process-design/Creating_Web_Services_From_Process_Definitions.htm",l:-1,t:"Creating Web Services from Process Definitions",i:0.000408239285065855,a:"You may have one or more process definitions that you wish to expose as web services. ActiveMatrix BusinessWorks provides a wizard that creates a Service resource and WSDL file for the selected process definitions.  To create a service resource and WSDL file from one or more process definitions, ..."},"542":{y:0,u:"../process-design/Creating_Process_Definition_Stubs_From_a_WSDL_File_.htm",l:-1,t:"Creating Process Definition Stubs from a WSDL File ",i:0.000408239285065855,a:" You may have a WSDL file that describes the services you wish to implement. ActiveMatrix BusinessWorks provides a wizard that creates the Service resource and process definition stubs that implement the operations in your WSDL file.  To create a service resource and process definition stubs from a ..."},"543":{y:0,u:"../process-design/Using_Web_Services_Security_Policies.htm",l:-1,t:"Using Web Services Security Policies",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks allows you to specify security policies for inbound and outbound SOAP messages. The security policies follow Web Services Security: SOAP Message Security 1.0 (WS-Security 2004) OASIS Standard 200401. You can find out more about this standard at  ..."},"544":{y:0,u:"../process-design/Associating_Security_Policies_With_Web_Services.htm",l:-1,t:"Associating Security Policies with Web Services",i:0.000408239285065855,a:"The Security Policy Association shared configuration resource allows you to associate a security policy with a web service. A security policy can either be associated with individual SOAP resources (SOAP Event Source, SOAP Request Reply, and so on), or it can be associated with each operation in a ..."},"545":{y:0,u:"../process-design/Custom_Password_Lookup.htm",l:-1,t:"Custom Password Lookup",i:0.000709988918290185,a:"By default authentication is checked against the usernames and passwords stored in TIBCO Administrator. TIBCO Administrator can also point to an LDAP registry for username/password lookup. If you store usernames and passwords in your own database or LDAP system, you can write your own password ..."},"546":{y:0,u:"../process-design/Security_Context_Propagation_from_TIBCO_ActiveMatrix_Policy_Manager.htm",l:-1,t:"Security Context Propagation from TIBCO ActiveMatrix Policy Manager",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks allows you to define security policies and associate them with web services such that these policies are applied to the inbound or/and outbound messages by associating security policies with web services. You can now choose not to apply inbound policies in ActiveMatrix ..."},"547":{y:0,u:"../process-design/Using_JAAS_Login_for_Authentication.htm",l:-1,t:"Using JAAS Login for Authentication",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks uses persistent object framework (POF) API to authenticate with TIBCO Administrator in the standalone mode. Alternatively, you can authenticate ActiveMatrix BusinessWorks using JAAS login using the following procedure. To Authenticate With JAAS Login   Run the TIBCO Domain ..."},"548":{y:0,u:"../process-design/WSIL_Files_and_UDDI_Registries.htm",l:-1,t:"WSIL Files and UDDI Registries",i:0.000870915991840132,a:"Universal Description, Discovery, and Integration (UDDI) refers to the protocol used by web-based registries to publish information about web services. Web Service Inspection Language (WSIL) is an XML document format that is similar in function to UDDI but simpler in implementation. Businesses ..."},"549":{y:0,u:"../process-design/Connect.htm",l:-1,t:"Connect",i:0.000408239285065855,a:"Connect The Connect tab specifies the information required to connect to a UDDI server. The following describes the fields on this tab. "},"550":{y:0,u:"../process-design/Browse_.htm",l:-1,t:"Browse ",i:0.000408239285065855,a:"Browse  The Browse tab specifies the search criteria you wish to use to locate web services. This tab also displays the results of the search. The following describes the fields on this tab. "},"551":{y:0,u:"../process-design/Publish.htm",l:-1,t:"Publish",i:0.000408239285065855,a:"Publish The Publish tab allows you to specify web services to publish to a UDDI registry. This tab contains two sub-tabs, Business Details and Service. The following describes the fields on these sub-tabs.   Publish Button The Publish button publishes the specified web services to a UDDI registry. "},"552":{y:0,u:"../process-design/Using_the_Schema_Import_Tool.htm",l:-1,t:"Using the Schema Import Tool",i:0.000408239285065855,a:"Using the Schema Import Tool The schema import tool allows you to import resources such as XSDs or WSDL files into your project. The tool automatically imports any referenced resources along with the specified resource. This section describes how to use the schema import tool. "},"553":{y:0,u:"../process-design/Overview_of_the_Schema_Import_Tool.htm",l:-1,t:"Overview of the Schema Import Tool",i:0.000408239285065855,a:"The schema import tool allows you to import resources into a ActiveMatrix BusinessWorks project. The tool can also resolve references to other resources within the imported resources. The tool can be used to import the following types of resources: XSD — XML schema definition language for declaring ..."},"554":{y:0,u:"../process-design/The_Location_Resource.htm",l:-1,t:"The Location Resource",i:0.000408239285065855,a:"The Schema Import tool stores imported resources in a Location resource in the project. This resource is a temporary holding area for XSDs and WSDL files while importing and resolving references in the resources. The Location resource corresponds to one XSD or WSDL resource. The Location resource ..."},"555":{y:0,u:"../process-design/Importing_Resources.htm",l:-1,t:"Importing Resources",i:0.000408239285065855,a:"To import XSD or WSDL resources into your project, perform the following procedure:   Choose Tools \u003e Schema Importer from the TIBCO Designer menu or use the Control+Shift+L keyboard shortcut.  Click the Down arrow button next to the text Add a New Location at the top left of the Schema Importer ..."},"556":{y:0,u:"../process-design/Working_With_Secure_Sockets_Layer__SSL_.htm",l:-1,t:"Working with Secure Sockets Layer (SSL)",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks can use Secure Sockets Layer (SSL) to provide secure communication. The successor to SSL is Transport Layer Security (TLS), but the term SSL is used synonymously with TLS in this document.  This section describes how to use SSL with the activities and resources that ..."},"557":{y:0,u:"../process-design/Overview_of_SSL.htm",l:-1,t:"Overview of SSL",i:0.000408239285065855,a:"Secure Sockets Layer (SSL) is a protocol that uses public and private keys to secure communication between parties. When an SSL connection is requested, the initiator (or client) and responder (or server) perform a handshake where digital identities, or certificates, are exchanged to ensure that ..."},"558":{y:0,u:"../process-design/Identity_Resources.htm",l:-1,t:"Identity Resources",i:0.000408239285065855,a:"Identity resources contain identity information that is used to authorize a connection. The responder (or server) in an SSL connection request must have an identity, but the initiator (or client) must also have an identity. The Identity resource can be used to store one of the following types of ..."},"559":{y:0,u:"../process-design/Username__Password.htm",l:-1,t:"Username / Password",i:0.000523908461759424,a:"Username / Password This type of identity is used to store a username and password. This is useful when only basic client authentication is needed. This type of identity is not typically used within ActiveMatrix BusinessWorks processes. "},"560":{y:0,u:"../process-design/Certificate_Private_Key_.htm",l:-1,t:"Certificate/Private Key ",i:0.000523908461759424,a:" Use this type of identity when the public key and the certificate are stored in two separate files. Typically certificates are stored in Privacy-enhanced Electronic Mail (PEM) format. The URL for the certificate and key must be provided, as well as the password for the key.  This type of identity ..."},"561":{y:0,u:"../process-design/Identity_File.htm",l:-1,t:"Identity File",i:0.000523908461759424,a:"Use this type of identity when the certificate includes the public key information in the certificate file. The URL and file type of the certificate must be provided, as well as the password for the key.  The certificate can be one of the following types of formats: BCFKS — Bouncy Castle FIPS Key ..."},"562":{y:0,u:"../process-design/Trusted_Certificates.htm",l:-1,t:"Trusted Certificates",i:0.000408239285065855,a:"Certificates are typically issued by a trusted third party, such as a certificate authority. There are several commercial certificate authorities, such as Bouncy Castle or VeriSign. Both clients and servers can also store a list of trusted certificates. When a connection is requested, each party ..."},"563":{y:0,u:"../process-design/Adding_Certificates_to_Your_Project.htm",l:-1,t:"Adding Certificates to Your Project",i:0.000408239285065855,a:"TIBCO Designer projects store trusted certificates in PEM storage format.  To add a certificate in PEM format to your project, perform the following procedure:    Select a folder into which you wish to import the certificate.  From the menu bar, choose Tools\u003e Trusted Certificates \u003e Import into PEM ..."},"564":{y:0,u:"../process-design/Storing_Trusted_Certificates_Outside_of_Your_Project.htm",l:-1,t:"Storing Trusted Certificates Outside of Your Project",i:0.000408239285065855,a:"Storing trusted certificates in the project requires you to import any new certificates into the project, re-create the enterprise archive file, and re-deploy your project when certificates change or expire. To avoid this problem, you may wish to store your certificates in a folder outside of your ..."},"565":{y:0,u:"../process-design/SSL_Configuration_.htm",l:-1,t:"SSL Configuration ",i:0.000408239285065855,a:" For connections and activities that allow you to use SSL, there is a checkbox on the configuration that, when checked, allows you to click the Configure SSL button. The Configure SSL button brings up an SSL configuration dialog with specific options for the type of activity or connection that you ..."},"566":{y:0,u:"../process-design/Creating_Custom_Activities_and_Process_Starters_.htm",l:-1,t:"Creating Custom Activities and Process Starters ",i:0.000408239285065855,a:" You can package a process definition into a custom activity that hides the implementation details of the process from the user. You can also create a custom process starter either to perform specialized event processing or to handle events not currently supported in ActiveMatrix BusinessWorks. This ..."},"567":{y:0,u:"../process-design/Overview_of_Custom_Activities_.htm",l:-1,t:"Overview of Custom Activities ",i:0.000408239285065855,a:" You can package a process definition into a custom activity so that its implementation details are not shown to users. This allows you to create easy-to-use resources that appear as activities in a custom palette, and users can drag and drop these activities into their own process definitions.  For ..."},"568":{y:0,u:"../process-design/Creating_Custom_Activities.htm",l:-1,t:"Creating Custom Activities",i:0.000408239285065855,a:"Before creating custom activities, consider the following: Process definitions referenced by a custom activity are referenced by name. You should develop a convention that ensures uniqueness of process definition names, such as storing process definitions in nested folders similar to Java package ..."},"569":{y:0,u:"../process-design/Packaging_Custom_Activities_Into_a_Custom_Palette.htm",l:-1,t:"Packaging Custom Activities Into a Custom Palette",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks allows you to create custom palettes that provide a convenient way to package custom activities and other resources for distribution to potential users.  To package a custom activity into a custom palette, perform the following procedure:   Create one or more custom ..."},"570":{y:0,u:"../process-design/Using_Custom_Activities.htm",l:-1,t:"Using Custom Activities",i:0.000408239285065855,a:"Custom activities behave like any other activity in ActiveMatrix BusinessWorks.  To use a custom activity, perform the following procedure:    Locate the custom palette containing the custom activity on the My Palettes tab.  Locate the custom activity within the palette.  Drag and drop the custom ..."},"571":{y:0,u:"../process-design/Global_Variables_in_Custom_Activities.htm",l:-1,t:"Global Variables in Custom Activities",i:0.000408239285065855,a:"The custom activity may rely on global variables for user-specified information, such as database connection information or JMS topic names. When a user places a custom activity within a process definition, any global variables used by the process referenced in the custom activity that are not ..."},"572":{y:0,u:"../process-design/Trace_Information_and_Packaged_Processes.htm",l:-1,t:"Trace Information and Packaged Processes",i:0.000408239285065855,a:"When tracing is enabled, the trace information for activities executing within a custom activity is written to the log file. This allows you to obtain information that will be helpful if you need to debug a custom activity. When a user of a custom activity experiences a problem, enable tracing and ..."},"573":{y:0,u:"../process-design/Custom_Process_Starters_.htm",l:-1,t:"Custom Process Starters ",i:0.000408239285065855,a:" The Java Event Source process starter allows you to create a custom process starter based on Java code that you create. You may need to create a custom process starter if you wish to do special processing of incoming events before starting a process or if you wish to receive events not currently ..."},"574":{y:0,u:"../process-design/Testing_Process_Definitions.htm",l:-1,t:"Testing Process Definitions",i:0.000558473111935901,a:"Testing Process Definitions This section describes the testing mode available for stepping through your process definitions and examining process data. "},"575":{y:0,u:"../process-design/Overview_of_Testing.htm",l:-1,t:"Overview of Testing",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks provides a testing environment for stepping through your process models and determining the sources of errors. Entering the testing environment starts a ActiveMatrix BusinessWorks engine. The engine starts process instances based on the process definitions stored in your ..."},"576":{y:0,u:"../process-design/Breakpoints.htm",l:-1,t:"Breakpoints",i:0.000523908461759424,a:"Breakpoints allow you to suspend a running process instance at a specified point so that you can examine the process data. Breakpoints persist after you close your project — the breakpoints you set should appear in the process definition once the project is reopened. You can set breakpoints before ..."},"577":{y:0,u:"../process-design/The_Test_Panel.htm",l:-1,t:"The Test Panel",i:0.000408239285065855,a:"You can begin testing a process definition by selecting it in the project panel, then clicking the Tester tab to the left of the project panel. The project panel then becomes the test panel. The test panel displays process instances created during testing. The following figure illustrates the test ..."},"578":{y:0,u:"../process-design/Process_Instances_During_Testing.htm",l:-1,t:"Process Instances During Testing",i:0.000697412226799778,a:"The Start Testing Viewed Process button   allows you to create a process instance for the currently viewed process definition and all of its dependent subprocesses. You can also select other process definitions to load as well.  If the loaded process begins with a Start activity that requires input, ..."},"579":{y:0,u:"../process-design/Loading_Processes_to_Test.htm",l:-1,t:"Loading Processes to Test",i:0.000581743050106209,a:"Once the Start Testing Viewed Process button is clicked, the Select Processes to Load dialog appears. You can select the process definitions you wish to load into the test engine in this dialog.  The Advanced button on this dialog allows you to specify any arguments to use when starting the test ..."},"580":{y:0,u:"../process-design/Creating_Process_Instances.htm",l:-1,t:"Creating Process Instances",i:0.000408239285065855,a:"If the loaded process begins with a Start activity, one process instance is created to execute the process definition. Processing continues until the End activity is reached.  If the loaded process begins with a process starter (for example, Adapter Subscriber), the process engine waits for an ..."},"581":{y:0,u:"../process-design/Working_With_Process_Instances.htm",l:-1,t:"Working with Process Instances",i:0.000408239285065855,a:"Each process instance is independent in the test panel. You can start/stop/step through each process instance individually.  When a process instance is running, its description is (running) in the test panel. Once a process instance completes its processing (that is, its End activity is reached), ..."},"582":{y:0,u:"../process-design/Stepping_Through_a_Process.htm",l:-1,t:"Stepping through a Process",i:0.000523908461759424,a:"When you set a breakpoint in a process definition, the process executes all activities up to the activity with the breakpoint. Once the breakpoint halts processing, you can step through the process using the toolbar icons or menu items. Stepping through the process allows you to examine the ..."},"583":{y:0,u:"../process-design/Colors_in_Test_Mode.htm",l:-1,t:"Colors in Test Mode",i:0.000408239285065855,a:"Colors in Test Mode When you test a process definition, the elements of the process change colors depending upon what is occurring in the executing process instance. The following table describes the colors of each element in a process definition and their significance. "},"584":{y:0,u:"../process-design/Test_Mode_Buttons_and_Menus.htm",l:-1,t:"Test Mode Buttons and Menus",i:0.00102707082477044,a:"There are buttons and icons on the TIBCO Designer toolbar used when testing process definitions. There is also a View \u003e Test Options menu that performs the same actions as the toolbar buttons. The following table describes these buttons and menu items.  The test panel also has several buttons for ..."},"585":{y:0,u:"../process-design/Sharing_Common_Resources_with_Other_Projects.htm",l:-1,t:"Sharing Common Resources with Other Projects",i:0.000709988918290185,a:"Sharing Common Resources with Other Projects This section explains how you can share resources among projects. "},"586":{y:0,u:"../process-design/Overview.htm",l:-1,t:"Overview",i:0.000408239285065855,a:"TIBCO Designer allows you to create alias to resources that are to be reused in other projects. Alias are used in two resources, the AliasLibrary and the LibraryBuilder. The AliasLibrary resource allows you to load files stored in the file system into your project. The LibraryBuilder resource allows ..."},"587":{y:0,u:"../process-design/AliasLibrary_Overview.htm",l:-1,t:"AliasLibrary Overview",i:0.000408239285065855,a:"The AliasLibrary resource allows you to specify aliases to file system resources (such as a jar file) that need to be included in your project. To use a file system resource, a project needs to know where to find it. Since projects are exported or deployed to different machines and different ..."},"588":{y:0,u:"../process-design/LibraryBuilder_Overview.htm",l:-1,t:"LibraryBuilder Overview",i:0.000408239285065855,a:"The LibraryBuilder resource allows you to share resources you have defined in a project with other project developers. This allows you to create shareable resources once, then allow other project developers to use them in their projects. LibraryBuilder resources are used as part of design-time ..."},"589":{y:0,u:"../process-design/Creating_an_Alias.htm",l:-1,t:"Creating an Alias",i:0.000408239285065855,a:"Use these steps to create an alias. After creating an alias, it can be used in an AliasLibrary or LibraryBuilder resource.   Click Edit \u003e Preferences. Click the File Aliases tab. Click New.  Under the Alias column, double-click and provide an alias name. Under the File Path column, double-click and ..."},"590":{y:0,u:"../process-design/Exporting_an_Alias.htm",l:-1,t:"Exporting an Alias",i:0.000408239285065855,a:"Exporting an Alias   Click Edit \u003e Preferences. Click the File Aliases tab. Click Export to save the alias list so others can use it. Navigate to a location that others can access. Provide a name for the alias. Click Save."},"591":{y:0,u:"../process-design/Importing_an_Alias.htm",l:-1,t:"Importing an Alias",i:0.000408239285065855,a:"Importing an Alias   Click Edit \u003e Preferences. Click the File Aliases tab. Click Import to add a previously exported alias list to your preferences. Navigate to the location of the alias file and select it. Click Open. Click OK."},"592":{y:0,u:"../process-design/Creating_an_AliasLibrary.htm",l:-1,t:"Creating an AliasLibrary",i:0.000408239285065855,a:"The AliasLibrary resource is crucial for resources that depend on external files, such as the Java Activity in ActiveMatrix BusinessWorks. Resources in your project can reference aliases in the AliasLibrary to resolve external file dependencies that they may have at runtime or debug time.  When you ..."},"593":{y:0,u:"../process-design/Creating_a_LibraryBuilder_Resource.htm",l:-1,t:"Creating a LibraryBuilder Resource",i:0.000408239285065855,a:"This section explains how to create a LibraryBuilder resource. The next section explains how to include a LibraryBuilder resource as a design-time library and use the resources in the design-time library in a process definition in another project.  The following ActiveMatrix BusinessWorks process is ..."},"594":{y:0,u:"../process-design/Creating_a_Design_time_Library.htm",l:-1,t:"Creating a Design-time Library",i:0.000408239285065855,a:"A LibraryBuilder resource is the basis for a design-time library. Before creating a design-time library, you must have access to a LibraryBuilder resource alias. Aliases are used to manage access to LibraryBuilder resources. The aliases you create are saved in your user profile and available to all ..."},"595":{y:0,u:"../process-design/Using_a_Resource_in_the_Design_time_Library.htm",l:-1,t:"Using a Resource in the Design-time Library",i:0.000408239285065855,a:"After you have added a LibraryBuilder resource to your project, you can use the resources defined in it. The resources display in the project view like other resources but, because they cannot be modified, they are greyed out and not editable.  The next diagram shows a process that calls a process ..."},"596":{y:0,u:"../process-design/Showing_or_Hiding_Design_time_Libraries.htm",l:-1,t:"Showing or Hiding Design-time Libraries",i:0.000408239285065855,a:"You can hide the design-time libraries that you have added to a project. When you hide the design-time libraries, the resources in the libraries are not available to your project. If you are using a resource in a design-time library and have hidden the library, when you build an enterprise archive ..."},"597":{y:0,u:"../process-design/Managing_Resource_Conflicts_in_Design_time_Libraries.htm",l:-1,t:"Managing Resource Conflicts in Design-time Libraries",i:0.000408239285065855,a:"TIBCO Designer prevents you from creating a resource with a name identical to that used by another resource already defined in the project. If a resource in a design-time library has the same name as a pre-existing resource in the project, a conflict arises.  If there is a name conflict, the ..."},"598":{y:0,u:"../process-design/Working_with_a_Revision_Control_System.htm",l:-1,t:"Working with a Revision Control System",i:0.00114295339516229,a:"Working with a Revision Control System This appendix gives detailed instructions for working with each supported revision control system. For background information, see the documentation for the revision control system you have chosen. "},"599":{y:0,u:"../process-design/Overview_1.htm",l:-1,t:"Overview",i:0.000408239285065855,a:"TIBCO Designer allows multiple developers to work on the same project. Developers can use file sharing/locking or a revision control system to ensure that the same resource is not changed by two developers at the same time.  If you wish to use file sharing/locking or a revision control system, you ..."},"600":{y:0,u:"../process-design/Icons_Used_by_RCS_Projects.htm",l:-1,t:"Icons Used by RCS Projects",i:0.000408239285065855,a:"To illustrate the state of the resource in a project under revision control, TIBCO Designer uses icons on top of each resource in the project panel.  If no special icon is displayed, the resource has been checked out and is in the same state as the corresponding RCS resource. "},"601":{y:0,u:"../process-design/Deleting_RCS_Projects.htm",l:-1,t:"Deleting RCS Projects",i:0.000516059791425358,a:"You delete a project that uses a revision control system as follows:    In the Startup panel, click the Delete project button (just as for other projects).  In the Delete Project dialog that appears, supply the information about the project.  For projects that use File Sharing, use either the None ..."},"602":{y:0,u:"../process-design/File_Sharing.htm",l:-1,t:"File Sharing",i:0.000507384293660343,a:"File Sharing This section discusses using File Sharing as a Revision Control System in the following sections: Preparing for File Sharing on Microsoft Windows Preparing for File Sharing on UNIX Using File Sharing Deleting RCS Projects"},"603":{y:0,u:"../process-design/Preparing_for_File_Sharing_on_Microsoft_Windows.htm",l:-1,t:"Preparing for File Sharing on Microsoft Windows",i:0.000516059791425358,a:"Preparing for File Sharing on Microsoft Windows The project is located on a shared drive accessible by all TIBCO developers. Make sure all TIBCO developers have read and write access to that drive."},"604":{y:0,u:"../process-design/Preparing_for_File_Sharing_on_UNIX.htm",l:-1,t:"Preparing for File Sharing on UNIX",i:0.000516059791425358,a:"The project must be located on a mounted drive accessible by all TIBCO developers. You then go through these steps:   Create a Unix group for the TIBCO developers (for example, tibdev). Create a Unix account for each developer. Each account must have its Primary Group ID set to the group \"tibdev\". ..."},"605":{y:0,u:"../process-design/Using_File_Sharing.htm",l:-1,t:"Using File Sharing",i:0.000516059791425358,a:"Allowing multiple users to use file sharing for a project involves these tasks:  Create the Project   Open TIBCO Designer and open the project (which could be a new empty project).  Choose Project \u003e Save \u003e Multi-File Project.  In the dialog that appears: Supply the root directory for the project ..."},"606":{y:0,u:"../process-design/Microsoft_Visual_SourceSafe.htm",l:-1,t:"Microsoft Visual SourceSafe",i:0.000507384293660343,a:"This section first discusses prerequisites and looks at a usage scenario, then includes reference documentation to the Version Control dialog in the following sections: Visual SourceSafe Setup Using Microsoft Visual SourceSafe Microsoft Visual SourceSafe is not supported under UNIX."},"607":{y:0,u:"../process-design/Visual_SourceSafe_Setup.htm",l:-1,t:"Visual SourceSafe Setup",i:0.000623880297784862,a:"To set up your system to work in conjunction with the TIBCO Designer Visual SourceSafe component, follow these steps:    Install a Microsoft Visual SourceSafe 6.0 Client on each machine from which you wish to use TIBCO Designer in conjunction with a Visual SourceSafe database.  Only the Client ..."},"608":{y:0,u:"../process-design/Using_Microsoft_Visual_SourceSafe.htm",l:-1,t:"Using Microsoft Visual SourceSafe",i:0.000623880297784862,a:"Step 1: User A Starts TIBCO Designer and Creates a VSS Project To create a VSS project, User A follows these steps:    User A opens TIBCO Designer and chooses New Empty Project.  In the dialog that appears, specify the following information:  Project Directory—Location of the project on the local ..."},"609":{y:0,u:"../process-design/Perforce_Fast_Software_Configuration_Management_System.htm",l:-1,t:"Perforce Fast Software Configuration Management System",i:0.000507384293660343,a:"Perforce has comprehensive software configuration management capabilities built around a scalable client/server architecture. Requiring only TCP/IP, developers can access the Perforce Server through a variety of Perforce clients (Windows GUI, Web, or Command-Line). Perforce can be deployed quickly ..."},"610":{y:0,u:"../process-design/Prerequisites.htm",l:-1,t:"Prerequisites",i:0.000408239285065855,a:"Before attempting to use Perforce you must ensure the following procedures have been taken. Install the Perforce software. TIBCO Designer does not include or install this software. The Perforce server port must be defined. The Perforce server must be installed and running.  The Perforce client must ..."},"611":{y:0,u:"../process-design/Using_Perforce.htm",l:-1,t:"Using Perforce",i:0.000408239285065855,a:"Step 1: User A Starts TIBCO Designer to Create a Perforce Project To create a Perforce project, User A follows these steps:    User A opens TIBCO Designer and chooses New Empty Project. In the dialog that appears, User A specifies the following information:  Project Directory—Location of the project ..."},"612":{y:0,u:"../process-design/XML_Canon_.htm",l:-1,t:"XML Canon ",i:0.000771840986414771,a:" XML Canon/Developer (XCD) is a comprehensive development platform that allows organizations to store their XML assets, for example, XML schemas, DTDs, adjuncts, instance documents, and stylesheets, in a central repository that facilitates adaptability, collaboration, and management.  XML Canon is ..."},"613":{y:0,u:"../process-design/Features.htm",l:-1,t:"Features",i:0.000408239285065855,a:"The following features, accessible via XML Canon\u0027s web interface, are provided for the XML-based files in your project, such as your XML Schemas, WSDL files and process definitions.  Custom Property Association—apply custom metadata to documents or individual components.  Document and ..."},"614":{y:0,u:"../process-design/Prerequisites_1.htm",l:-1,t:"Prerequisites",i:0.000408239285065855,a:"To use XML Canon as the version control system for TIBCO Designer, you must have:  the address of the XML Canon server and the port number on which it is running.  an XML Canon user name and password with the permissions required to work in the XML Canon category in which the shared project is ..."},"615":{y:0,u:"../process-design/Checking_In_and_Acquiring_Resources.htm",l:-1,t:"Checking In and Acquiring Resources",i:0.00272100823156614,a:"This section provides the typical steps involved in interacting with the XML Canon repository, beginning with the initial association of the TIBCO Designer project with an XML Canon category.  Step 1: Specifying XML Canon as the version control system for a given project  This step is performed once ..."},"616":{y:0,u:"../process-design/Viewing_Revision_Control_Information.htm",l:-1,t:"Viewing Revision Control Information",i:0.000408239285065855,a:"The revision control system (RCS) information for a particular resource can be viewed by selecting the View RCS Info for Resource option from the right-button menu or the Multi-User menu. The information available is described in the following table. You can apply custom metadata to the resources ..."},"617":{y:0,u:"../process-design/Deleting_XML_Canon_Projects.htm",l:-1,t:"Deleting XML Canon Projects",i:0.000408239285065855,a:"Deleting XML Canon Projects XML Canon-based projects cannot be deleted in TIBCO Designer. To delete a project, use a WebDAV client. "},"618":{y:0,u:"../process-design/Tips_and_Tricks.htm",l:-1,t:"Tips and Tricks",i:0.000408239285065855,a:"The following tips will help you use XML Canon effectively as a version control system.  Synchronize \n\t\t\t\t (Multi-User \u003e Synchronize Project) often to ensure your project reflects the changes made by other users. Any conflicts discovered during the synchronization process will be listed along with ..."},"619":{y:0,u:"../process-design/ClearCase.htm",l:-1,t:"ClearCase",i:0.000507384293660343,a:"ClearCase tracks the file versions used to build a product release and helps to organize the work of groups of engineers.  ClearCase requires that a directory element be checked out before any elements within it can be checked out. This implies: The root of a newly created project must be saved in a ..."},"620":{y:0,u:"../process-design/Creating_or_Modifying_a_ClearCase_Project.htm",l:-1,t:"Creating or Modifying a ClearCase Project",i:0.000408239285065855,a:"To Create a ClearCase Project   Start TIBCO Designer. Select New empty project. In the Save Project dialog, select ClearCase from the Multi-User System combo box. In Project Directory, browse to your ClearCase View and provide a project name. For example, Z:\\\u003cview\u003e\\\u003cprojectname\u003e. Provide your ..."},"621":{y:0,u:"../process-design/CVS.htm",l:-1,t:"CVS",i:0.000507384293660343,a:"CVS is a version control system that records the history of source files used to build a software product. CVS also allows engineers to work in their own directory, and merges each engineer’s work into a source tree.  The following limitations apply when using CVS as an RCS system for TIBCO Designer ..."},"622":{y:0,u:"../process-design/Working_with_CVS.htm",l:-1,t:"Working with CVS",i:0.000408239285065855,a:"The following steps assume you are working on a UNIX platform. If you are working on a Windows platforms, the steps are the same, but the examples apply only to UNIX.   Installing CVS on UNIX Download the installer from  http://www.cvsnt.com/cvspro/?lang=EN\u0026complete=1 . Set PATH to execute CVS ..."},"623":{y:0,u:"../process-design/PVCS_Version_Manager.htm",l:-1,t:"PVCS Version Manager",i:0.000507384293660343,a:"PVCS allows developers to manage software development by controlling access and revisions to source code. It automates and simplifies access to development objects including source code, ASCII files, graphics, documentation, and binary data files, allowing developers to share archive information and ..."},"624":{y:0,u:"../process-design/Creating_or_Modifying_a_PVCS_Project.htm",l:-1,t:"Creating or Modifying a PVCS Project",i:0.000408239285065855,a:"To Create a PVCS Project   Start TIBCO Designer. Select New empty project. In the Save Project dialog, select PVCS from the Multi-User System combo box. Provide your PVCS user name and optionally provide a password. Provide the path to your PVCS project name, project database, executable. For ..."},"625":{y:0,u:"../process-design/Tips_and_Tricks_for_Using_Version_Control_Systems.htm",l:-1,t:"Tips and Tricks for Using Version Control Systems",i:0.000408239285065855,a:"The following techniques help you use your version control system effectively: Check in and synchronize on a regular basis. The information displayed by TIBCO Designer may not be completely accurate if there are a large number of differences between the project in TIBCO Designer and the project in ..."},"626":{y:0,u:"../palette-reference/Process_Palette.htm",l:-1,t:"Process Palette",i:0.000408239285065855,a:"Process Palette The Process palette allows you to create process definitions. "},"627":{y:0,u:"../palette-reference/Process_Definition.htm",l:-1,t:"Process Definition",i:0.000902727182021849,a:"Resource The Process Definition resource allows you to define business processes. Drag and drop the Process Definition resource into the design panel to create a new process definition.  Select a process definition in the project tree panel to edit a process definition. When editing process ..."},"628":{y:0,u:"../palette-reference/Configuration.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"629":{y:0,u:"../palette-reference/Process_Variables.htm",l:-1,t:"Process Variables",i:0.000408239285065855,a:"The Process Variables tab allows you to specify user-defined process variables for the process definition. For a complete description of user-defined process variables, see the Processes section of  TIBCO ActiveMatrix BusinessWorks™ Process Design .  You can assign a value to the process variables ..."},"630":{y:0,u:"../palette-reference/Partners.htm",l:-1,t:"Partners",i:0.000755246815146563,a:"Partners The Partners tab allows you to define partners for the process definition. The partner can be either located inside the same project or it can be an external service that can be invoked over the Internet by way of SOAP protocol. The Partners tab has the following fields.    "},"631":{y:0,u:"../palette-reference/ActiveEnterprise_Adapter_Palette.htm",l:-1,t:"ActiveEnterprise Adapter Palette",i:0.000408239285065855,a:"The ActiveEnterprise Adapter palette contains activities for communicating with configured TIBCO ActiveEnterprise adapters. This section assumes you are familiar with the concepts and features of TIBCO ActiveEnterprise adapter products. For more information about configuring adapters, see the ..."},"632":{y:0,u:"../palette-reference/Common_Features_Across_ActiveEnterprise_Activities.htm",l:-1,t:"Common Features Across ActiveEnterprise Activities",i:0.000408239285065855,a:"Common Features Across ActiveEnterprise Activities The activities in the ActiveEnterprise Adapter palette reference Adapter Configuration resources in your project. This section describes common features across all activities in this palette. "},"633":{y:0,u:"../palette-reference/Support_for_Message_Filter_Resources.htm",l:-1,t:"Support for Message Filter Resources",i:0.000408239285065855,a:"An Adapter Configuration resource can use a Message Filter resource. Message filters are used to provide custom, user-written code to transform the messages sent or received from an adapter, call out to TIBCO Adapter SDK functions, or perform other tasks. For more information about Message Filter ..."},"634":{y:0,u:"../palette-reference/Internationalization_Support.htm",l:-1,t:"Internationalization Support",i:0.000408239285065855,a:"ActiveMatrix BusinessWorks and TIBCO Adapter products can send text messages that are encoded using either the Latin-1 or UTF-8 character encoding. Both the sender and receiver of the message must use the same encoding. The character encoding sent by resources configured in TIBCO Designer is set at ..."},"635":{y:0,u:"../palette-reference/Refresh_Adapter_Service_Button_.htm",l:-1,t:"Refresh Adapter Service Button ",i:0.000408239285065855,a:" All activities in the ActiveEnterprise Adapter palette can use preconfigured adapter services. These adapter service configurations can change after an adapter service is specified in the configuration of an ActiveEnterprise Adapter palette activity. Therefore, the configured adapter service may ..."},"636":{y:0,u:"../palette-reference/Transport_Tab.htm",l:-1,t:"Transport Tab",i:0.00275001156995222,a:"Transports specify the underlying communication characteristics for messages sent and received by adapter services. Normally, the activities of the ActiveEnterprise Adapter palette use the same transport configuration as the adapter service with which they are communicating. However, in some ..."},"637":{y:0,u:"../palette-reference/Configure_SSL_Button.htm",l:-1,t:"Configure SSL Button",i:0.000667966389467975,a:"The Configure SSL button allows you to configure the SSL parameters when the transport supports SSL and the SSL field is checked. The following are the fields of the Configure SSL dialog.  Basic The Basic tab of the SSL Configuration dialog allows you to specify the simplest required SSL ..."},"638":{y:0,u:"../palette-reference/Adapter_Request_Response_Server_.htm",l:-1,t:"Adapter Request-Response Server ",i:0.00168648574822454,a:"Process Starter Starts a process based on the receipt of a request from an adapter. The adapter sends a request using a preconfigured request-response invocation service, and the process that is started acts as the implementation of the request. The process sends any required responses back to the ..."},"639":{y:0,u:"../palette-reference/Configuration_1.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"640":{y:0,u:"../palette-reference/Transport.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab . "},"641":{y:0,u:"../palette-reference/Misc.htm",l:-1,t:"Misc",i:0.000408239285065855,a:"Misc The Misc tab has the following fields.  "},"642":{y:0,u:"../palette-reference/Output.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"643":{y:0,u:"../palette-reference/Adapter_Subscriber_.htm",l:-1,t:"Adapter Subscriber ",i:0.00445195952414309,a:"Process Starter Starts a process based on the receipt of a message from the publication service of the specified adapter. Publication services are configured during adapter configuration, and the activity uses the information in the adapter configuration to fill in most of the fields of this ..."},"644":{y:0,u:"../palette-reference/Configuration_2.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"645":{y:0,u:"../palette-reference/Transport_1.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab . "},"646":{y:0,u:"../palette-reference/Misc__1.htm",l:-1,t:"Misc ",i:0.000408239285065855,a:"Misc  The Misc tab contains the following fields:"},"647":{y:0,u:"../palette-reference/Output_1.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"648":{y:0,u:"../palette-reference/Invoke_an_Adapter_Request_Response_Service_.htm",l:-1,t:"Invoke an Adapter Request-Response Service ",i:0.00676472847064337,a:"Activity The Invoke an Adapter Request-Response Service activity is used to communicate with an adapter’s request-response service. This service invokes an operation with input and output by way of the adapter. Request-response services are configured during adapter configuration, and the activity ..."},"649":{y:0,u:"../palette-reference/Configuration_3.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"650":{y:0,u:"../palette-reference/Transport_2.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab . "},"651":{y:0,u:"../palette-reference/Input.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"652":{y:0,u:"../palette-reference/Output_2.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"653":{y:0,u:"../palette-reference/Error_Output.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"654":{y:0,u:"../palette-reference/Publish_to_Adapter_.htm",l:-1,t:"Publish to Adapter ",i:0.00445195952414309,a:" Activity The Publish to Adapter activity publishes a message that can be received by an adapter’s subscription service. Subscription services are configured during adapter configuration, and the activity uses the information in the adapter configuration to fill in most of the fields of this ..."},"655":{y:0,u:"../palette-reference/Configuration_4.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields. "},"656":{y:0,u:"../palette-reference/Transport_3.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab ."},"657":{y:0,u:"../palette-reference/Input_1.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"658":{y:0,u:"../palette-reference/Output_3.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output This activity only produces output when the RequestReply field on the Configuration tab is checked. The output for the activity is the following. "},"659":{y:0,u:"../palette-reference/Error_Output_1.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"660":{y:0,u:"../palette-reference/Respond_to_Adapter_Request_.htm",l:-1,t:"Respond to Adapter Request ",i:0.00341350083775394,a:"Activity The Respond to Adapter Request activity is used to send a response to an adapter for a previously received request. For example, you may have a  Wait for Adapter Request   activity in a process definition. The incoming adapter request may require a response from your process. The Respond to ..."},"661":{y:0,u:"../palette-reference/Configuration_5.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"662":{y:0,u:"../palette-reference/Input_2.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"663":{y:0,u:"../palette-reference/Output_4.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output This activity produces no output."},"664":{y:0,u:"../palette-reference/Error_Output_2.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"665":{y:0,u:"../palette-reference/Send_Exception_to_Adapter_Request.htm",l:-1,t:"Send Exception to Adapter Request",i:0.000709988918290185,a:"Activity The Send Exception to Adapter Request activity is used to send an exception to an adapter for a previously received request. For example, you may have a  Adapter Request-Response Server   process starter in a process definition. An error may occur while attempting to perform the requested ..."},"666":{y:0,u:"../palette-reference/Configuration_6.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"667":{y:0,u:"../palette-reference/Input_3.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"668":{y:0,u:"../palette-reference/Output_5.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output This activity produces no output."},"669":{y:0,u:"../palette-reference/Error_Output_3.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"670":{y:0,u:"../palette-reference/Wait_for_Adapter_Message_.htm",l:-1,t:"Wait for Adapter Message ",i:0.00116169547458445,a:"Activity Waits for the receipt of a message from the publication service of the specified adapter. Publication services are configured during adapter configuration, and the activity uses the information in the adapter configuration to fill in most of the fields of this activity. For more information ..."},"671":{y:0,u:"../palette-reference/Configuration_7.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"672":{y:0,u:"../palette-reference/Transport_4.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab ."},"673":{y:0,u:"../palette-reference/Event_.htm",l:-1,t:"Event",i:0.000755246815146563,a:"The Event tab has the following fields. When building an expression in the Candidate Event Key field, only data from the incoming event is available. This is because you want to place an expression containing incoming event data in the Candidate Event Key field. When the results of this expression ..."},"674":{y:0,u:"../palette-reference/Input_4.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"675":{y:0,u:"../palette-reference/Output_6.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"676":{y:0,u:"../palette-reference/Error_Output_4.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"677":{y:0,u:"../palette-reference/Wait_for_Adapter_Request_.htm",l:-1,t:"Wait for Adapter Request ",i:0.00295645821662382,a:"Activity Waits for the receipt of a request from an adapter request-response invocation service. The adapter sends a request using a preconfigured service, and the process definition acts as the implementation of the request. The process sends any required responses back to the adapter’s service by ..."},"678":{y:0,u:"../palette-reference/Configuration_8.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"679":{y:0,u:"../palette-reference/Transport_5.htm",l:-1,t:"Transport",i:0.000408239285065855,a:"Transport For more information about the Transport tab, see  Transport Tab ."},"680":{y:0,u:"../palette-reference/Event__1.htm",l:-1,t:"Event ",i:0.000755246815146563,a:" The Event tab has the following fields. When building an expression in the Candidate Event Key field, only data from the incoming event is available. This is because you want to place an expression containing incoming event data in the Candidate Event Key field. When the results of this expression ..."},"681":{y:0,u:"../palette-reference/Input_5.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"682":{y:0,u:"../palette-reference/Output_7.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following.   "},"683":{y:0,u:"../palette-reference/File_Palette.htm",l:-1,t:"File Palette",i:0.000408239285065855,a:"File Palette The File palette is used to read, write, delete, or create files. This palette also has a process starter that allows you to poll for files and start a process based on the presence of a file. "},"684":{y:0,u:"../palette-reference/Copy_File_.htm",l:-1,t:"Copy File ",i:0.000408239285065855,a:"Copy File Activity The Copy File activity allows you to copy files and directories to a new location. "},"685":{y:0,u:"../palette-reference/Configuration_9.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"686":{y:0,u:"../palette-reference/Input_6.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"687":{y:0,u:"../palette-reference/Output_8.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output This activity produces no output. "},"688":{y:0,u:"../palette-reference/Error_Output_5.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes.   "},"689":{y:0,u:"../palette-reference/Create_File_.htm",l:-1,t:"Create File ",i:0.000408239285065855,a:"Create File  Activity The Create File activity is a synchronous activity that creates a new file or directory with the specified name. "},"690":{y:0,u:"../palette-reference/Configuration_10.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"691":{y:0,u:"../palette-reference/Input_7.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"692":{y:0,u:"../palette-reference/Output_9.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"693":{y:0,u:"../palette-reference/Error_Output_6.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"694":{y:0,u:"../palette-reference/File_Poller.htm",l:-1,t:"File Poller",i:0.000408239285065855,a:"File Poller Process Starter The File Poller process starter polls for files or directories with the given name and starts a process when the specified change (creation, modification, deletion) is detected. "},"695":{y:0,u:"../palette-reference/Configuration_11.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"696":{y:0,u:"../palette-reference/Advanced.htm",l:-1,t:"Advanced",i:0.000408239285065855,a:"Advanced The Advanced tab has the following fields."},"697":{y:0,u:"../palette-reference/Misc__2.htm",l:-1,t:"Misc ",i:0.000408239285065855,a:"Misc  The Misc tab contains the following fields:"},"698":{y:0,u:"../palette-reference/Output_10.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"699":{y:0,u:"../palette-reference/List_Files.htm",l:-1,t:"List Files",i:0.000408239285065855,a:"List Files Activity The List Files activity returns information about files or directories, or a listing of all the files in the specified directory. "},"700":{y:0,u:"../palette-reference/Configuration_12.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"701":{y:0,u:"../palette-reference/Input_8.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input The input for the activity is the following. "},"702":{y:0,u:"../palette-reference/Output_11.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"703":{y:0,u:"../palette-reference/Error_Output_7.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes.  "},"704":{y:0,u:"../palette-reference/Read_File.htm",l:-1,t:"Read File",i:0.00217177084564979,a:"Read File Activity The Read File activity is used to read a file and place its contents into the activity’s output. "},"705":{y:0,u:"../palette-reference/Configuration_13.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"706":{y:0,u:"../palette-reference/Input_9.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"707":{y:0,u:"../palette-reference/Output_12.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"708":{y:0,u:"../palette-reference/Error_Output_8.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity.  For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"709":{y:0,u:"../palette-reference/Remove_File.htm",l:-1,t:"Remove File",i:0.000408239285065855,a:"Remove File Activity The Remove File activity removes the specified file. This activity can also remove empty directories. If a directory that is not empty is specified, an exception is thrown. "},"710":{y:0,u:"../palette-reference/Configuration_14.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"711":{y:0,u:"../palette-reference/Input_10.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"712":{y:0,u:"../palette-reference/Output_13.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"713":{y:0,u:"../palette-reference/Error_Output_9.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity. For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"714":{y:0,u:"../palette-reference/Rename_File_.htm",l:-1,t:"Rename File ",i:0.000408239285065855,a:"Rename File  Activity The Rename File activity is used to rename or move files. This activity can also rename directories, but you cannot use this activity to move a directory to a new location. "},"715":{y:0,u:"../palette-reference/Configuration_15.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},"716":{y:0,u:"../palette-reference/Input_11.htm",l:-1,t:"Input",i:0.000408239285065855,a:"Input  For more information about mapping and transforming input data, see  TIBCO ActiveMatrix BusinessWorks™ Process Design. The input for the activity is the following. "},"717":{y:0,u:"../palette-reference/Output_14.htm",l:-1,t:"Output",i:0.000408239285065855,a:"Output The output for the activity is the following. "},"718":{y:0,u:"../palette-reference/Error_Output_10.htm",l:-1,t:"Error Output",i:0.000408239285065855,a:"Error Output The Error Output tab lists the possible exceptions that can be thrown by this activity.  For more information about error codes and corrective action to take, see  TIBCO ActiveMatrix BusinessWorks™ Error Codes."},"719":{y:0,u:"../palette-reference/Wait_for_File_Change.htm",l:-1,t:"Wait for File Change",i:0.000408239285065855,a:"Activity The Wait for File Change activity waits for a file creation, modification, or deletion event to occur during process execution. When this activity is executed, the process instance suspends and waits for the specified change to occur before resuming.  For more information about running the ..."},"720":{y:0,u:"../palette-reference/Configuration_16.htm",l:-1,t:"Configuration",i:0.000408239285065855,a:"Configuration The Configuration tab has the following fields."},});